Merge "Omaha #3957 Moved QPID to build repository directory structure." into omaha_14.4.1

Former-commit-id: 455b763fd46e6053e272854e89074cdb898d4a6c
This commit is contained in:
cmadmin 2015-01-13 09:14:43 -06:00 committed by Gerrit Code Review
commit 5b796ff2f8
72 changed files with 1 additions and 7222 deletions

View file

@ -1,192 +0,0 @@
diff -crB a/qpid/java/broker/bin/qpid-passwd b/qpid/java/broker/bin/qpid-passwd
*** a/qpid/java/broker/bin/qpid-passwd 2012-02-15 09:29:22.000000000 -0600
--- b/qpid/java/broker/bin/qpid-passwd 2013-07-30 16:23:13.000000000 -0500
***************
*** 24,30 ****
fi
# Set classpath to include Qpid jar with all required jars in manifest
! QPID_LIBS=$QPID_HOME/lib/qpid-all.jar
# Set other variables used by the qpid-run script before calling
export JAVA=java \
--- 24,30 ----
fi
# Set classpath to include Qpid jar with all required jars in manifest
! QPID_LIBS="$QPID_HOME/lib/qpid-all.jar:$QPID_HOME/lib/opt/*:$QPID_HOME/lib/opt/qpid-deps/*"
# Set other variables used by the qpid-run script before calling
export JAVA=java \
diff -crB a/qpid/java/broker/bin/qpid-server b/qpid/java/broker/bin/qpid-server
*** a/qpid/java/broker/bin/qpid-server 2011-09-30 08:38:14.000000000 -0500
--- b/qpid/java/broker/bin/qpid-server 2013-07-30 16:23:13.000000000 -0500
***************
*** 23,30 ****
fi
if [ -z "$QPID_WORK" ]; then
! echo "Setting QPID_WORK to $HOME as default"
! QPID_WORK=$HOME
fi
# Set to help us get round the manifold problems of ps/pgrep on various
--- 23,29 ----
fi
if [ -z "$QPID_WORK" ]; then
! export QPID_WORK=$QPID_HOME
fi
# Set to help us get round the manifold problems of ps/pgrep on various
***************
*** 34,43 ****
fi
# Set classpath to include the qpid-all manifest jar, and any jars supplied in lib/opt
! QPID_LIBS="$QPID_HOME/lib/qpid-all.jar:$QPID_HOME/lib/opt/*"
# Set other variables used by the qpid-run script before calling
! export JAVA=java \
JAVA_VM=-server \
JAVA_MEM=-Xmx1024m \
JAVA_GC="-XX:+UseConcMarkSweepGC -XX:+HeapDumpOnOutOfMemoryError" \
--- 33,42 ----
fi
# Set classpath to include the qpid-all manifest jar, and any jars supplied in lib/opt
! QPID_LIBS="$QPID_HOME/lib/qpid-all.jar:$QPID_HOME/lib/opt/*:$QPID_HOME/lib/opt/qpid-deps/*"
# Set other variables used by the qpid-run script before calling
! export JAVA=/awips2/java/bin/java \
JAVA_VM=-server \
JAVA_MEM=-Xmx1024m \
JAVA_GC="-XX:+UseConcMarkSweepGC -XX:+HeapDumpOnOutOfMemoryError" \
Only in b/qpid/java/broker/bin: qpid-server.orig
diff -crB a/qpid/java/build.deps b/qpid/java/build.deps
*** a/qpid/java/build.deps 2012-07-08 10:28:32.000000000 -0500
--- b/qpid/java/build.deps 2013-07-30 16:23:13.000000000 -0500
***************
*** 17,29 ****
# under the License.
#
! commons-beanutils-core=lib/required/commons-beanutils-core-1.8.3.jar
commons-cli=lib/required/commons-cli-1.2.jar
! commons-codec=lib/required/commons-codec-1.6.jar
commons-collections=lib/required/commons-collections-3.2.1.jar
commons-configuration=lib/required/commons-configuration-1.8.jar
commons-digester=lib/required/commons-digester-1.8.1.jar
! commons-lang=lib/required/commons-lang-2.6.jar
commons-logging=lib/required/commons-logging-1.1.1.jar
derby-db=lib/required/derby-10.8.2.2.jar
--- 17,29 ----
# under the License.
#
! commons-beanutils-core=lib/required/commons-beanutils-1.8.3.jar
commons-cli=lib/required/commons-cli-1.2.jar
! commons-codec=lib/required/commons-codec-1.4.jar
commons-collections=lib/required/commons-collections-3.2.1.jar
commons-configuration=lib/required/commons-configuration-1.8.jar
commons-digester=lib/required/commons-digester-1.8.1.jar
! commons-lang=lib/required/commons-lang-2.3.jar
commons-logging=lib/required/commons-logging-1.1.1.jar
derby-db=lib/required/derby-10.8.2.2.jar
***************
*** 33,39 ****
geronimo-jta=lib/required/geronimo-jta_1.1_spec-1.1.1.jar
geronimo-kernel=lib/required/geronimo-kernel-2.2.1.jar
geronimo-openejb=lib/required/geronimo-ejb_3.0_spec-1.0.1.jar
! geronimo-servlet=lib/required/geronimo-servlet_2.5_spec-1.2.jar
junit=lib/required/junit-3.8.1.jar
mockito-all=lib/required/mockito-all-1.9.0.jar
--- 33,39 ----
geronimo-jta=lib/required/geronimo-jta_1.1_spec-1.1.1.jar
geronimo-kernel=lib/required/geronimo-kernel-2.2.1.jar
geronimo-openejb=lib/required/geronimo-ejb_3.0_spec-1.0.1.jar
! geronimo-servlet=lib/required/geronimo-servlet_2.5_spec-1.1.2.jar
junit=lib/required/junit-3.8.1.jar
mockito-all=lib/required/mockito-all-1.9.0.jar
***************
*** 45,51 ****
slf4j-api=lib/required/slf4j-api-1.6.4.jar
slf4j-log4j=lib/required/slf4j-log4j12-1.6.4.jar
! xalan=lib/required/xalan-2.7.0.jar
jetty=lib/required/jetty-server-7.6.3.v20120416.jar
jetty-continuation=lib/required/jetty-continuation-7.6.3.v20120416.jar
--- 45,51 ----
slf4j-api=lib/required/slf4j-api-1.6.4.jar
slf4j-log4j=lib/required/slf4j-log4j12-1.6.4.jar
! xalan=lib/required/xalan-2.7.1.jar
jetty=lib/required/jetty-server-7.6.3.v20120416.jar
jetty-continuation=lib/required/jetty-continuation-7.6.3.v20120416.jar
***************
*** 63,70 ****
felix.libs=${felix-main}
! jackson-core=lib/required/jackson-core-asl-1.9.0.jar
! jackson-mapper=lib/required/jackson-mapper-asl-1.9.0.jar
commons-configuration.libs = ${commons-beanutils-core} ${commons-digester} \
${commons-codec} ${commons-lang} ${commons-collections} ${commons-configuration}
--- 63,70 ----
felix.libs=${felix-main}
! jackson-core=lib/required/jackson-core-asl-1.7.3.jar
! jackson-mapper=lib/required/jackson-mapper-asl-1.7.3.jar
commons-configuration.libs = ${commons-beanutils-core} ${commons-digester} \
${commons-codec} ${commons-lang} ${commons-collections} ${commons-configuration}
Only in b/qpid/java: build.deps.orig
diff -crB a/qpid/java/common/bin/qpid-jaddr b/qpid/java/common/bin/qpid-jaddr
*** a/qpid/java/common/bin/qpid-jaddr 2010-06-07 15:13:47.000000000 -0500
--- b/qpid/java/common/bin/qpid-jaddr 2013-07-30 16:23:13.000000000 -0500
***************
*** 24,30 ****
fi
# Set classpath to include Qpid jar with all required jars in manifest
! QPID_LIBS=$QPID_HOME/lib/qpid-all.jar
# Set other variables used by the qpid-run script before calling
export JAVA=java \
--- 24,30 ----
fi
# Set classpath to include Qpid jar with all required jars in manifest
! QPID_LIBS="$QPID_HOME/lib/qpid-all.jar:$QPID_HOME/lib/opt/*:$QPID_HOME/lib/opt/qpid-deps/*"
# Set other variables used by the qpid-run script before calling
export JAVA=java \
diff -crB a/qpid/java/common/bin/qpid-run b/qpid/java/common/bin/qpid-run
*** a/qpid/java/common/bin/qpid-run 2012-02-15 09:29:22.000000000 -0600
--- b/qpid/java/common/bin/qpid-run 2013-07-30 16:23:13.000000000 -0500
***************
*** 62,69 ****
fi
if [ -z "$QPID_WORK" ]; then
! log $INFO Setting QPID_WORK to $HOME as default
! QPID_WORK=$HOME
fi
if [ -z "$JAVA" ]; then
--- 62,68 ----
fi
if [ -z "$QPID_WORK" ]; then
! QPID_WORK=$QPID_HOME
fi
if [ -z "$JAVA" ]; then

View file

@ -1,10 +0,0 @@
org.apache.commons.cli/commons-cli-1.2.jar
org.apache.xalan/xalan-2.7.2.jar
org.apache.commons.beanutils/commons-beanutils-1.8.3.jar
org.apache.commons.digester/commons-digester-1.8.1.jar
org.apache.commons.codec/commons-codec-1.4.jar
org.apache.commons.lang/commons-lang-2.3.jar
org.apache.commons.collections/commons-collections-3.2.jar
org.codehaus.jackson/jackson-core-asl-1.7.3.jar
org.codehaus.jackson/jackson-mapper-asl-1.7.3.jar
org.mockito/mockito-all-1.9.0.jar

View file

@ -1,13 +0,0 @@
diff --git a/qpid/java/build.xml b/qpid/java/build.xml
index a41cff4..06e8c8a 100644
--- a/qpid/java/build.xml
+++ b/qpid/java/build.xml
@@ -161,7 +161,7 @@
<touch file="${qpid.jar}"/>
</target>
- <target name="build" depends="retrieve-dependencies" description="build the project">
+ <target name="build" description="build the project">
<iterate target="build"/>
<antcall target="manifest"/>
</target>

View file

@ -1,121 +0,0 @@
<?xml version="1.0" encoding="ISO-8859-1"?>
<!--
- This software was developed and / or modified by Raytheon Company,
- pursuant to Contract DG133W-05-CQ-1067 with the US Government.
-
- U.S. EXPORT CONTROLLED TECHNICAL DATA
- This software product contains export-restricted data whose
- export/transfer/disclosure is restricted by U.S. law. Dissemination
- to non-U.S. persons whether in the United States or abroad requires
- an export license or other authorization.
-
- Contractor Name: Raytheon Company
- Contractor Address: 6825 Pine Street, Suite 340
- Mail Stop B8
- Omaha, NE 68106
- 402.291.0100
-
- See the AWIPS II Master Rights File ("Master Rights File.pdf") for
- further licensing information.
-->
<!--
- Virtual host configuration for edex
-
-
- SOFTWARE HISTORY
-
- Date Ticket# Engineer Description
- ============ ========== =========== ==========================
- Mar 18, 2013 1814 rjpeter Initial Creation
-
-->
<broker>
<prefix>${QPID_HOME}</prefix>
<work>${QPID_WORK}</work>
<conf>${prefix}/etc</conf>
<plugin-directory>${QPID_HOME}/lib/opt</plugin-directory>
<cache-directory>${QPID_WORK}/cache</cache-directory>
<connector>
<!-- To enable SSL edit the keystorePath and keystorePassword
and set enabled to true.
To disable Non-SSL port set sslOnly to true -->
<ssl>
<enabled>false</enabled>
<port>5671</port>
<sslOnly>false</sslOnly>
<keyStorePath>/path/to/keystore.ks</keyStorePath>
<keyStorePassword>keystorepass</keyStorePassword>
</ssl>
<port>5672</port>
<socketReceiveBuffer>32768</socketReceiveBuffer>
<socketWriteBuffer>16384</socketWriteBuffer>
</connector>
<management>
<enabled>true</enabled>
<jmxport>
<registryServer>8999</registryServer>
<!--
If unspecified, connectorServer defaults to 100 + registryServer port.
<connectorServer>9099</connectionServer>
-->
</jmxport>
<ssl>
<enabled>false</enabled>
<!-- Update below path to your keystore location. -->
<keyStorePath>${conf}/qpid.keystore</keyStorePath>
<keyStorePassword>password</keyStorePassword>
</ssl>
<http>
<enabled>true</enabled>
<port>8180</port>
<basic-auth>false</basic-auth>
<sasl-auth>false</sasl-auth>
<session-timeout>600</session-timeout>
</http>
<https>
<enabled>false</enabled>
</https>
</management>
<advanced>
<framesize>65535</framesize>
<locale>en_US</locale>
</advanced>
<security>
<pd-auth-manager>
<principal-database>
<class>org.apache.qpid.server.security.auth.database.PlainPasswordFilePrincipalDatabase</class>
<attributes>
<attribute>
<name>passwordFile</name>
<value>${conf}/passwd</value>
</attribute>
</attributes>
</principal-database>
</pd-auth-manager>
<!-- By default, all authenticated users have permissions to perform all actions -->
<!-- ACL Example
This example illustrates securing the both Management (JMX) and Messaging.
<acl>${conf}/broker_example.acl</acl>
-->
<msg-auth>false</msg-auth>
</security>
<virtualhosts>${conf}/virtualhosts.xml</virtualhosts>
<heartbeat>
<delay>0</delay>
<timeoutFactor>2.0</timeoutFactor>
</heartbeat>
<queue>
<auto_register>true</auto_register>
</queue>
<status-updates>ON</status-updates>
</broker>

View file

@ -1,96 +0,0 @@
From 4acdbf975c076c2c49e7e2436065ca7d18dfab20 Mon Sep 17 00:00:00 2001
From: rajith <rajith@redhat.com>
Date: Wed, 16 Jun 2010 16:37:11 -0400
Subject: [PATCH 02/52] These two files are not present in upstream and we currently carry them as a patch.
The reason being that the run_example.sh is tailored specific for the linux env.
Including the example.log4j depends on how the release artefacts will look like for the 0.7 qpid release.
---
qpid/java/client/example/bin/run_example.sh | 43 +++++++++++++++++++++++++++
qpid/java/client/example/example.log4j | 27 +++++++++++++++++
2 files changed, 70 insertions(+), 0 deletions(-)
create mode 100644 qpid/java/client/example/bin/run_example.sh
create mode 100644 qpid/java/client/example/example.log4j
diff --git a/qpid/java/client/example/bin/run_example.sh b/qpid/java/client/example/bin/run_example.sh
new file mode 100644
index 0000000..5bd0e99
--- /dev/null
+++ b/qpid/java/client/example/bin/run_example.sh
@@ -0,0 +1,43 @@
+#!/bin/bash
+
+#
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements. See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership. The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License. You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied. See the License for the
+# specific language governing permissions and limitations
+# under the License.
+#
+
+# set the CLASSPATH
+QPID_DEPS=`find /usr/share/java/qpid-deps/*.jar | tr '\n' ":"`
+QPID_JARS=`find /usr/share/java -name 'qpid-client*.jar' -or -name 'qpid-common*.jar' | tr '\n' ":"`
+LOG4J="/usr/share/java/log4j.jar"
+QPID_CLASSPATH=$QPID_DEPS$LOG4J:$QPID_JARS
+
+# compile the samples
+javac -cp "$QPID_CLASSPATH" -sourcepath "$PWD" -d . `find $PWD -name '*.java'`
+
+# Add output classes to CLASSPATH
+QPID_CLASSPATH="$PWD:$QPID_CLASSPATH"
+
+
+# Check if the user supplied a sample classname
+if test "'x$1'" = "'x'"
+then
+ echo "No sample classname specified"
+ exit;
+else
+ java -cp $QPID_CLASSPATH -Dlog4j.configuration=example.log4j "$@"
+fi
+
diff --git a/qpid/java/client/example/example.log4j b/qpid/java/client/example/example.log4j
new file mode 100644
index 0000000..50b4ed2
--- /dev/null
+++ b/qpid/java/client/example/example.log4j
@@ -0,0 +1,27 @@
+#
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements. See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership. The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License. You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied. See the License for the
+# specific language governing permissions and limitations
+# under the License.
+#
+
+log4j.logger.org.apache.qpid=WARN, console
+log4j.additivity.org.apache.qpid=false
+
+
+log4j.appender.console=org.apache.log4j.ConsoleAppender
+log4j.appender.console.Threshold=all
+log4j.appender.console.layout=org.apache.log4j.PatternLayout
+log4j.appender.console.layout.ConversionPattern=%t %d %p [%c{4}] %m%n

View file

@ -1,130 +0,0 @@
<?xml version="1.0" encoding="UTF-8"?>
<!--
-
- Licensed to the Apache Software Foundation (ASF) under one
- or more contributor license agreements. See the NOTICE file
- distributed with this work for additional information
- regarding copyright ownership. The ASF licenses this file
- to you under the Apache License, Version 2.0 (the
- "License"); you may not use this file except in compliance
- with the License. You may obtain a copy of the License at
-
- http://www.apache.org/licenses/LICENSE-2.0
-
- Unless required by applicable law or agreed to in writing,
- software distributed under the License is distributed on an
- "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
- KIND, either express or implied. See the License for the
- specific language governing permissions and limitations
- under the License.
-
--><!DOCTYPE log4j:configuration SYSTEM "log4j.dtd">
<log4j:configuration xmlns:log4j="http://jakarta.apache.org/log4j/" debug="null" threshold="null">
<appender class="org.apache.log4j.QpidCompositeRollingAppender" name="ArchivingFileAppender">
<!-- Ensure that logs always have the DatePattern appended to the filename.
DEFAULT IF NOT CONFIGURED: true -->
<param name="StaticLogFileName" value="true"/>
<param name="file" value="${QPID_WORK}/log/${logprefix}qpid${logsuffix}.log"/>
<!-- Style of rolling to use, by:
File Size(1)
Date(2)
Both(3)
When Date (or Both) is enabled then the value of DatePattern will determine
when the new file is made. e.g. a DatePattern of "'.'yyyy-MM-dd-HH-mm"
which includes minutes will cause a new backup file to be made every minute.
DEFAULT IF NOT CONFIGURED: 3 -->
<param name="RollingStyle" value="2"/>
<!-- Set the count direction:
Negative numbers mean backups are numbered <latest>, .0, .1, .2,..., .n
0 means backup is DatePattern stamped and followed with a Positive number
if the DatePattern stamp clashes with other existing backups.
Positive numbers mean backups are numbered 0, 1, 2, ..., n, <latest>
DEFAULT IF NOT CONFIGURED: -1 -->
<param name="CountDirection" value="0"/>
<!-- Maximum File Size:
DEFAULT IF NOT CONFIGURED: 10MB -->
<param name="MaxFileSize" value="500MB"/>
<!-- Date Pattern:
DEFAULT IF NOT CONFIGURED: "'.'yyyy-MM-dd" -->
<param name="DatePattern" value="'.'yyyy-MM-dd"/>
<!-- Maximum number of backup files:
0 means no backups
-1 means infinite backups
DEFAULT IF NOT CONFIGURED: 0 -->
<param name="MaxSizeRollBackups" value="14"/>
<!-- Compress(gzip) the backup files to the backup location:
DEFAULT IF NOT CONFIGURED: FALSE -->
<param name="CompressBackupFiles" value="true"/>
<!-- Compress the backup files using a second thread:
DEFAULT IF NOT CONFIGURED: FALSE -->
<param name="CompressAsync" value="true"/>
<!-- Backup Location:
DEFAULT IF NOT CONFIGURED: same dir as log file -->
<param name="backupFilesToPath" value="${QPID_WORK}/log"/>
<layout class="org.apache.log4j.PatternLayout">
<param name="ConversionPattern" value="%d %-5p [%t] (%F:%L) - %m%n"/>
</layout>
</appender>
<appender class="org.apache.log4j.FileAppender" name="FileAppender">
<param name="File" value="${QPID_WORK}/log/${logprefix}qpid${logsuffix}.log"/>
<param name="Append" value="false"/>
<layout class="org.apache.log4j.PatternLayout">
<param name="ConversionPattern" value="%d %-5p [%t] (%F:%L) - %m%n"/>
</layout>
</appender>
<appender class="org.apache.log4j.ConsoleAppender" name="STDOUT">
<layout class="org.apache.log4j.PatternLayout">
<param name="ConversionPattern" value="%d %-5p [%t] (%F:%L) - %m%n"/>
</layout>
</appender>
<!-- Provide warnings to standard output -->
<category additivity="true" name="org.apache.qpid">
<priority value="info"/>
</category>
<!-- Enable info messages for the status-logging hierarchy -->
<logger additivity="true" name="qpid.message">
<level value="warn"/>
</logger>
<!-- Subscription state may toggle frequently for clients with low prefetch
so switch off this operational logging by default-->
<logger additivity="true" name="qpid.message.subscription.state">
<level value="off"/>
</logger>
<!-- Enable log messages for the queue notifications -->
<logger additivity="true" name="org.apache.qpid.server.queue.NotificationCheck">
<level value="info"/>
</logger>
<!-- Examples of additional logging settings -->
<!-- Used to generate extra debug. See debug.log4j.xml -->
<category additivity="true" name="org.apache.qpid.server.store">
<priority value="warn"/>
</category>
<!-- Set the commons logging that the XML parser uses to WARN, it is very chatty at debug -->
<logger name="org.apache.commons">
<level value="WARN"/>
</logger>
<!-- Log all info events to file -->
<root>
<priority value="info"/>
<!--appender-ref ref="FileAppender"/-->
<appender-ref ref="ArchivingFileAppender"/>
</root>
</log4j:configuration>

File diff suppressed because it is too large Load diff

View file

@ -1,137 +0,0 @@
diff -crB a/qpid-0.18/java/broker/src/main/java/org/apache/qpid/server/queue/QueueEntryImpl.java b/qpid-0.18/java/broker/src/main/java/org/apache/qpid/server/queue/QueueEntryImpl.java
*** a/qpid-0.18/java/broker/src/main/java/org/apache/qpid/server/queue/QueueEntryImpl.java 2012-06-28 11:46:12.000000000 -0500
--- b/qpid-0.18/java/broker/src/main/java/org/apache/qpid/server/queue/QueueEntryImpl.java 2013-09-16 13:26:48.000000000 -0500
***************
*** 38,47 ****
import java.util.concurrent.atomic.AtomicIntegerFieldUpdater;
import java.util.concurrent.atomic.AtomicLongFieldUpdater;
import java.util.concurrent.atomic.AtomicReferenceFieldUpdater;
public abstract class QueueEntryImpl implements QueueEntry
{
! private static final Logger _log = Logger.getLogger(QueueEntryImpl.class);
private final QueueEntryList _queueEntryList;
--- 38,48 ----
import java.util.concurrent.atomic.AtomicIntegerFieldUpdater;
import java.util.concurrent.atomic.AtomicLongFieldUpdater;
import java.util.concurrent.atomic.AtomicReferenceFieldUpdater;
+ import java.util.logging.Level;
public abstract class QueueEntryImpl implements QueueEntry
{
! private static final java.util.logging.Logger _log = java.util.logging.Logger.getLogger(QueueEntryImpl.class.getName());
private final QueueEntryList _queueEntryList;
***************
*** 145,156 ****
ServerMessage message = getMessage();
if(message != null)
{
! long expiration = message.getExpiration();
! if (expiration != 0L)
! {
! long now = System.currentTimeMillis();
! return (now > expiration);
}
}
return false;
--- 146,162 ----
ServerMessage message = getMessage();
if(message != null)
{
! try {
! long expiration = message.getExpiration();
! if (expiration != 0L)
! {
! long now = System.currentTimeMillis();
! return (now > expiration);
! }
! } catch (Exception e) {
! _log.log(Level.SEVERE, "Caught exception checking if message is expired. Message State: " + _state.getState().name(), e);
! return isAvailable();
}
}
return false;
***************
*** 343,349 ****
}
else
{
! _log.warn("Requesting rejection by null subscriber:" + this);
}
}
--- 349,355 ----
}
else
{
! _log.warning("Requesting rejection by null subscriber:" + this);
}
}
diff -crB a/qpid-0.18/java/broker/src/main/java/org/apache/qpid/server/queue/SimpleAMQQueue.java b/qpid-0.18/java/broker/src/main/java/org/apache/qpid/server/queue/SimpleAMQQueue.java
*** a/qpid-0.18/java/broker/src/main/java/org/apache/qpid/server/queue/SimpleAMQQueue.java 2012-07-08 10:30:05.000000000 -0500
--- b/qpid-0.18/java/broker/src/main/java/org/apache/qpid/server/queue/SimpleAMQQueue.java 2013-09-16 14:15:11.000000000 -0500
***************
*** 36,41 ****
--- 36,42 ----
import java.util.concurrent.atomic.AtomicLong;
import org.apache.log4j.Logger;
+ import org.apache.log4j.Level;
import org.apache.qpid.AMQException;
import org.apache.qpid.AMQSecurityException;
import org.apache.qpid.framing.AMQShortString;
***************
*** 1053,1060 ****
public long getOldestMessageArrivalTime()
{
! QueueEntry entry = getOldestQueueEntry();
! return entry == null ? Long.MAX_VALUE : entry.getMessage().getArrivalTime();
}
protected QueueEntry getOldestQueueEntry()
--- 1054,1090 ----
public long getOldestMessageArrivalTime()
{
! int tries = 0;
! QueueEntry prev = null;
!
! while (tries < 3) {
! QueueEntry entry = null;
! try {
! entry = getOldestQueueEntry();
! return entry == null ? Long.MAX_VALUE : entry.getMessage().getArrivalTime();
! } catch (Exception e) {
! if ((prev == null) || (prev != entry)) {
! tries++;
! _logger.log(Level.FATAL,
! "Error occurred getting oldest message arrival time, message: "
! + entry + ", attempt " + tries + " of 3", e);
! prev = entry;
! } else {
! // same invalid entry returned, try deleting?
! _logger.log(Level.WARN,
! "Received same invalid entry on getting oldest message, attempting discard.");
! try {
! entry.discard();
! } catch (Exception e2) {
! _logger.log(Level.ERROR,
! "Failed to discard message. Restart recommended if errors continue", e2);
! }
! }
! }
! }
!
! // default case
! return Long.MAX_VALUE;
}
protected QueueEntry getOldestQueueEntry()

View file

@ -1,51 +0,0 @@
#!/bin/bash
#
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements. See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership. The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License. You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an
# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
# KIND, either express or implied. See the License for the
# specific language governing permissions and limitations
# under the License.
#
# this version of the qpid start script will utilize the yajsw wrapper
CONF_FILE="wrapper.conf"
WHEREAMI=`dirname $0`
if [ -z "$QPID_HOME" ]; then
export QPID_HOME=`cd $WHEREAMI/../ && pwd`
fi
if [ -z "$QPID_WORK" ]; then
export QPID_WORK=$QPID_HOME
fi
if [ -z "${QPID_PID_FILENAME}" ]; then
export QPID_PID_FILENAME="qpid-server.pid"
fi
# Set other variables used by the wrapper
export JAVA=/awips2/java/bin/java \
JAVA_VM=-server \
AMQJ_LOGGING_LEVEL=info \
QPID_PNAME=" -DPNAME=QPBRKR" \
CONSOLE_LOGLEVEL=DEBUG
if [ ! -f ${JAVA} ]; then
echo "ERROR: the specified Java does not exist - ${JAVA}."
echo "Unable to Continue ... Terminating."
exit 1
fi
$JAVA -Xmx32m -XX:MaxPermSize=12m -XX:ReservedCodeCacheSize=4m -jar ${QPID_HOME}/bin/yajsw/wrapper.jar -c ${QPID_HOME}/conf/${CONF_FILE}

View file

@ -1,159 +0,0 @@
#!/bin/bash
#
# qpidd This shell script takes care of starting and stopping
# the AWIPS qpid instance.
#
# chkconfig: - 99 10
# description: Qpid messaging broker used by the AWIPS 2 instance
# processname: qpid-server
# config: /awips2/qpid/etc/config.xml
# Source function library.
. /etc/rc.d/init.d/functions
# Source networking configuration.
. /etc/sysconfig/network
# Check that networking is up.
[ ${NETWORKING} = "no" ] && exit 0
RETVAL=0
prog="qpid-wrapper"
# Who to run QPID as, usually "awips". (NOT "root")
QPIDUSER=awips
# Todays date in format of YYYYMMDD.
TODAY=`/bin/date +%Y%m%d`
QPID_HOME=/awips2/qpid
wrapper_process="org.rzo.yajsw.app.WrapperJVMMain"
_wrapper_jar=${QPID_HOME}/bin/yajsw/wrapper.jar
function getQPID_psCount()
{
psCount_qpid=`ps -ef | grep ${wrapper_process} | grep QPID_HOME="${QPID_HOME}" | grep -c "PNAME=QPBRKR "`
}
function getQPID_pid()
{
pid_qpid=`ps -e -o pid,args | grep ${wrapper_process} | grep QPID_HOME="${QPID_HOME}" | grep "PNAME=QPBRKR " | grep -e "^ *\([0-9]\+\)" -o`
}
function getWrapper_psCount()
{
psCount_wrapper=`ps -ef | grep "${_wrapper_jar} -c" | grep -c wrapper.conf`
}
function getWrapper_pid()
{
pid_wrapper=`ps -e -o pid,args | grep "${_wrapper_jar} -c" | grep wrapper.conf | grep -e "^ *\([0-9]\+\)" -o`
}
start() {
getQPID_psCount
if [ ${psCount_qpid} -eq 1 ]; then
echo "WARNING: QPID already running, not starting another instance"
return 1
fi
DAEMON="/bin/bash ${QPID_HOME}/bin/${prog}"
QPIDSTARTLOG=${QPID_HOME}/log/start-qpid-$TODAY.log
su $QPIDUSER -c "$DAEMON" >> $QPIDSTARTLOG 2>&1 &
sleep 5
checkStatus
}
stop() {
# determine if qpid is running, first.
getQPID_psCount
if [ ${psCount_qpid} -ne 1 ]; then
echo "WARNING: Qpid is not running, no shutdown attempted!"
return 1
fi
# get the qpid pid
getQPID_pid
# determine if the qpid wrapper is running.
getWrapper_psCount
if [ ${psCount_wrapper} -eq 1 ]; then
# get the wrapper pid
getWrapper_pid
# stop the wrapper
kill ${pid_wrapper}
else
# stop qpid
kill ${pid_qpid}
fi
# wait for and verify that qpid has stopped running
savepid=${pid_qpid}
while [ "X${pid_qpid}" != "X" ]; do
sleep 1
getQPID_psCount
if [ ${psCount_qpid} -eq 1 ]; then
pid_qpid=${savepid}
else
pid_qpid=""
fi
done
}
checkStatus() {
getQPID_psCount
if [ ${psCount_qpid} -eq 1 ]; then
getQPID_pid
echo "QPID is running (PID ${pid_qpid})"
else
echo "QPID is not running"
fi
}
# Verify root user
checkUser() {
REQUIREDUSER="root"
CURUSER=`whoami`
if [ "$CURUSER" != "$REQUIREDUSER" ]; then
echo "Insufficient privileges: must run script as $REQUIREDUSER"
exit 1
fi
}
# See how we were called.
case $1 in
start)
checkUser
echo "Starting QPID"
start
RETVAL=$?
;;
stop)
checkUser
echo "Stopping QPID"
stop
RETVAL=$?
;;
restart)
checkUser
echo "Stopping QPID"
stop
echo "Starting QPID"
start
RETVAL=$?
;;
status)
checkStatus
RETVAL=$?
;;
*)
# Print help
echo "Usage: $0 {start|stop|restart|reload|status}" 1>&2
exit 1
;;
esac
exit $RETVAL

View file

@ -1,76 +0,0 @@
<?xml version="1.0" encoding="ISO-8859-1"?>
<!--
- This software was developed and / or modified by Raytheon Company,
- pursuant to Contract DG133W-05-CQ-1067 with the US Government.
-
- U.S. EXPORT CONTROLLED TECHNICAL DATA
- This software product contains export-restricted data whose
- export/transfer/disclosure is restricted by U.S. law. Dissemination
- to non-U.S. persons whether in the United States or abroad requires
- an export license or other authorization.
-
- Contractor Name: Raytheon Company
- Contractor Address: 6825 Pine Street, Suite 340
- Mail Stop B8
- Omaha, NE 68106
- 402.291.0100
-
- See the AWIPS II Master Rights File ("Master Rights File.pdf") for
- further licensing information.
-->
<!--
- Virtual host configuration for edex
-
-
- SOFTWARE HISTORY
-
- Date Ticket# Engineer Description
- ============ ========== =========== ==========================
- Mar 18, 2013 1814 rjpeter Initial Creation
- May 08, 2013 1814 rjpeter Remove slow consumer disconnect
-
-->
<virtualhosts>
<default>edex</default>
<virtualhost>
<name>edex</name>
<edex>
<store>
<class>org.apache.qpid.server.store.derby.DerbyMessageStore</class>
<environment-path>${QPID_WORK}/messageStore</environment-path>
</store>
<queues>
<!-- Define default exchange -->
<exchange>amq.direct</exchange>
<!-- Set threshold values for queue monitor alerting to log -->
<!-- If a queue has more than this in memory print an error message -->
<maximumQueueDepth>5294080</maximumQueueDepth> <!-- 5Mb (QPID appears to use X * 1024^2 + X * 10 * 1024) -->
<!-- Logs if any message is this large -->
<maximumMessageSize>2117632</maximumMessageSize> <!-- 2Mb -->
<!-- Logs a message if any message is on queue for more than 5 minutes -->
<maximumMessageAge>300000</maximumMessageAge> <!-- 5 min -->
<!-- Logs a message if there are more that 15k messages on queue -->
<maximumMessageCount>15000</maximumMessageCount>
<durable>true</durable>
<!-- Configure queues
Queues created on demand for AWIPS II
<queue>
<name>external.dropbox</name>
<external..dropbox>
<durable>true</durable>
</external..dropbox>
</queue>
-->
</queues>
</edex>
</virtualhost>
</virtualhosts>

View file

@ -1,134 +0,0 @@
#********************************************************************
##
# This software was developed and / or modified by Raytheon Company,
# pursuant to Contract DG133W-05-CQ-1067 with the US Government.
#
# U.S. EXPORT CONTROLLED TECHNICAL DATA
# This software product contains export-restricted data whose
# export/transfer/disclosure is restricted by U.S. law. Dissemination
# to non-U.S. persons whether in the United States or abroad requires
# an export license or other authorization.
#
# Contractor Name: Raytheon Company
# Contractor Address: 6825 Pine Street, Suite 340
# Mail Stop B8
# Omaha, NE 68106
# 402.291.0100
#
# See the AWIPS II Master Rights File ("Master Rights File.pdf") for
# further licensing information.
##
# Wrapper Properties
#********************************************************************
wrapper.debug=false
set.default.QPID_HOME=../..
wrapper.working.dir=/awips2/qpid/bin
# required due to java bug:
# http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=4388188
# not sure if the yajsw developers have any intention of
# implementing the work-around (solution?) stated in the
# ticket.
wrapper.fork_hack=true
# at a minimum: prevents the printing of the "Invalid parameter" messages
wrapper.console.pipestreams=true
# Java Application
wrapper.java.command=/awips2/java/bin/java
# Java Classpath (include wrapper.jar) Add class path elements as
# needed starting from 1
wrapper.java.classpath.1=${QPID_HOME}/bin/yajsw/wrapper.jar
# include ANY jar files that are found in the locations denoted by
# wrapper.search.java.classpath.#
wrapper.search.java.classpath.1=${QPID_HOME}/lib/opt
wrapper.search.java.classpath.2=${QPID_HOME}/lib/opt/qpid-deps
# garbage collection settings
wrapper.java.additional.gc.1=-XX:+UseConcMarkSweepGC
wrapper.java.additional.gc.2=-XX:+CMSIncrementalMode
wrapper.java.additional.gc.3=-XX:NewSize=400m
wrapper.java.additional.gc.4=-XX:MaxNewSize=400m
wrapper.java.additional.gc.5=-XX:SurvivorRatio=4
wrapper.java.additional.gc.6=-XX:+HeapDumpOnOutOfMemoryError
wrapper.java.additional.gc.7=-XX:HeapDumpPath=/data/fxa/qpid
# the main qpid java class that will be started
wrapper.java.app.mainclass=org.apache.qpid.server.Main
# Java Additional Parameters
# note that n is the parameter number starting from 1.
wrapper.java.additional.1=${JAVA_VM}
wrapper.java.additional.2=${QPID_PNAME}
wrapper.java.additional.3=-Damqj.logging.level=${AMQJ_LOGGING_LEVEL}
wrapper.java.additional.4=-DQPID_HOME=${QPID_HOME}
wrapper.java.additional.5=-DQPID_WORK=${QPID_WORK}
wrapper.java.additional.6=-Damqj.read_write_pool_size=32
wrapper.java.additional.7=-Dqpid.broker.exceptionHandler.continue=true
# Maximum Java Heap Size (in MB)
wrapper.java.maxmemory=1536
wrapper.ping.interval=5
wrapper.ping.timeout=30
# NOTE: script must be located at /awips2/qpid/bin/yajsw/scripts for it to be found
wrapper.script.ABORT=wrapperCapture.sh
wrapper.script.ABORT.timeout=120
wrapper.script.RESTART=wrapperCapture.sh
wrapper.script.RESTART.timeout=120
#********************************************************************
# Monitor the Application
#********************************************************************
wrapper.java.monitor.heap = true
# warning messages will be logged; it is also possible to send an e-mail
wrapper.java.monitor.heap.threshold.percent = 90
wrapper.java.monitor.deadlock = true
wrapper.filter.trigger.deadlock.restart=wrapper.java.monitor.deadlock: DEADLOCK IN THREADS:
wrapper.filter.action.deadlock.restart=RESTART
# restart the application if it runs out of memory
wrapper.filter.trigger.1=java.lang.OutOfMemoryError
wrapper.filter.action.1=RESTART
# restart the application if it crashes
wrapper.on_exit.default=RESTART
#********************************************************************
# Wrapper Logging Properties
#********************************************************************
# Format of output for the console. (See docs for formats)
wrapper.console.format=M
# Log file to use for wrapper output logging.
wrapper.logfile=${QPID_HOME}/log/qpid-wrapper-YYYYMMDD.log
# Format of output for the log file. (See docs for formats)
wrapper.logfile.format=LTM
# Log Level for log file output. (See docs for log levels)
wrapper.logfile.loglevel=INFO
# Set the log rollover mode for the log.
# DATE - creates a new file each day - file name must include YYYYMMDD.
# SIZE - uses log size for log roll-over.
wrapper.logfile.rollmode=DATE
# Maximum number of rolled log files which will be allowed before old
# files are deleted. The default value of 0 implies no limit.
wrapper.logfile.maxfiles=7
# Log Level for console output. (See docs for log levels)
wrapper.console.loglevel=${CONSOLE_LOGLEVEL}
# Log Level for log file output. (See docs for log levels)
wrapper.logfile.loglevel=INFO
#********************************************************************
# Wrapper Windows Properties
#********************************************************************
# Title to use when running as a console
wrapper.console.title=QPID

View file

@ -1,389 +0,0 @@
Name: qpid-java
Version: 0.18
Release: 2%{?dist}
Summary: Java implementation of Apache Qpid
License: Apache Software License
Group: Development/Java
URL: http://qpid.apache.org/
%global qpid_src_dir qpid-%{version}
%global qpid_deps_src_dir qpid-deps-%{version}
Source0: %{qpid_src_dir}.tar.gz
Source1: qpid-build-deps-%{version}.tar.gz
Source2: %{qpid_deps_src_dir}.tar.gz
Patch0: mrg.patch
Patch1: examples.patch
Patch2: build.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
BuildRequires: ant >= 1.6.5
BuildRequires: ant-nodeps >= 1.6.5
BuildRequires: java-devel >= 1.6.0
BuildRequires: ant-trax >= 1.6.5
%description
Java implementation of Apache Qpid.
%package common
Summary: Java implementation of Apache Qpid - common files
Group: Development/Java
BuildArch: noarch
%description common
Java implementation of Apache Qpid - common files
%package client
Summary: Java implementation of Apache Qpid - client
Group: Development/Java
BuildArch: noarch
Requires: qpid-java-common = %{version}-%{release}
Requires: log4j >= 1.2.12
%description client
Java implementation of Apache Qpid - client
%package example
Summary: Java implementation of Apache Qpid - example
Group: Development/Java
BuildArch: noarch
Requires: qpid-java-client = %{version}-%{release}
%description example
Java implementation of Apache Qpid - example
%prep
%setup -q -n %{qpid_src_dir}
mkdir -p java/lib/required
tar -xvzf %SOURCE1 -C java/lib/required
%patch0 -p2
%patch1 -p2
%patch2 -p2
%setup -q -T -b 2 -n %{qpid_deps_src_dir}
%build
cd ..
(
cd %{qpid_src_dir}/java
ant -Dretrieve.dependencies=false -Dmodules=common\ client
# blacklisted jars are either provided by the Requires: or not needed.
BLACKLIST="slf4j qpid-client-tests qpid-all qpid-common-tests"
for jar in $BLACKLIST; do rm build/lib/${jar}*.jar; done
)
(cd %{qpid_deps_src_dir}; ant -Dqpid-src-dir=../%{qpid_src_dir}/java -Dversion=%{version})
%install
rm -rf %{buildroot}
cd ..
install -dm 755 %{buildroot}%{_javadir}
install -pm 644 %{qpid_src_dir}/java/build/lib/qpid-client-%{version}.jar %{buildroot}%{_javadir}
install -pm 644 %{qpid_src_dir}/java/build/lib/qpid-client-%{version}-sources.jar %{buildroot}%{_javadir}
install -pm 644 %{qpid_src_dir}/java/build/lib/qpid-common-%{version}.jar %{buildroot}%{_javadir}
install -pm 644 %{qpid_src_dir}/java/build/lib/qpid-common-%{version}-sources.jar %{buildroot}%{_javadir}
install -dm 755 %{buildroot}%{_javadir}/qpid-deps
install -pm 644 %{qpid_src_dir}/java/build/lib/log4j-slf4j.jar %{buildroot}%{_javadir}/qpid-deps
install -pm 644 %{qpid_src_dir}/java/build/lib/qpid-deps-%{version}.jar %{buildroot}%{_javadir}/qpid-deps
# examples
install -dm 755 %{buildroot}%{_docdir}/%{name}-%{version}/examples/org/apache/qpid/example/
install -pm 644 %{qpid_src_dir}/java/client/example/src/main/java/org/apache/qpid/example/*.java \
%{buildroot}%{_docdir}/%{name}-%{version}/examples/org/apache/qpid/example/
install -pm 644 %{qpid_src_dir}/java/client/example/src/main/java/org/apache/qpid/example/hello.properties \
%{buildroot}%{_docdir}/%{name}-%{version}/examples/org/apache/qpid/example/
install -pm 644 %{qpid_src_dir}/java/client/example/example.log4j \
%{buildroot}%{_docdir}/%{name}-%{version}/examples/
install -pm 755 %{qpid_src_dir}/java/client/example/bin/run_example.sh \
%{buildroot}%{_docdir}/%{name}-%{version}/examples/
%clean
rm -rf %{buildroot}
%files common
%defattr(-,root,root,-)
%{_javadir}/qpid-deps/
%{_javadir}/qpid-common-%{version}.jar
%{_javadir}/qpid-common-%{version}-sources.jar
%doc ../%{qpid_src_dir}/java/resources/LICENSE
%doc ../%{qpid_src_dir}/java/resources/NOTICE
%files client
%defattr(-,root,root,-)
%{_javadir}/qpid-client-%{version}.jar
%{_javadir}/qpid-client-%{version}-sources.jar
%files example
%defattr(-,root,root,-)
%{_docdir}/%{name}-%{version}/examples/
%changelog
* Thu Sep 6 2012 Irina Boverman <iboverma@redhat.com> - 0.18-2
- Resolved bz 851574
* Tue Jul 10 2012 Justin Ross <jross@redhat.com> - 0.18-1
- Refactored spec file to use standard Qpid source export
- Rebased to Qpid 0.18 beta source
* Thu Feb 23 2012 Rajith Attapattu <rattapat@redhat.com> - 0:0.14-3
- Added a patch to account for changes between 0.14-rc1 and HEAD of 0.14-mrg-preview.
* Thu Feb 16 2012 Rajith Attapattu <rattapat@redhat.com> - 0:0.14-2
- Added a patch to account for changes between 0.14-rc1 and HEAD of 0.14-mrg-preview.
* Mon Dec 12 2011 Rajith Attapattu <rattapat@redhat.com> - 0:0.14-1
- Rebased the client to use the Qpid 0.14 RC1 source.
- Added a patch to account for changes between 0.14-rc1 and HEAD of 0.14-mrg-preview.
* Fri Sep 23 2011 Andrew Stitcher <astitcher@redhat.com> - 0:0.10-11
- Added new qpid-java-jca-zip package which wraps a zip of everything
in qpid jca.
- Make qpid-deps jar have correct 0.10 version
- Updated patch to include latest Qpid JCA work:
BZ.738316
BZ 733383
BZ 736252
BZ 700500
BZ 707535
BZ 722614
BZ 735030
BZ 738615
BZ 700494
BZ 705913
BZ 723714
BZ 735384
BZ 736794
BZ 737880
BZ 735322
BZ 736785
* Tue Sep 14 2011 Rajith Attapattu <rattapat@redhat.com> - 0:0.10-9
- Added a patch to account for changes between 0.10 and mrg_2.0.3 head rev on Sep 14th.
* Mon May 16 2011 Rajith Attapattu <rattapat@redhat.com> - 0:0.10.-6
- Added a patch to account for changes between 0.10 and qpid-0.10-package-set-7 tags.
* Thu Apr 28 2011 Andrew Stitcher <astitcher@redhat.com> - 0:0.10.-5
- Removed jar file that was not meant to be in qpid-java-common
* Wed Apr 20 2011 Rajith Attapattu <rattapat@redhat.com> - 0:0.10.-4
- Added a patch to account for changes between 0.10 and qpid-0.10-package-set-5 tags.
* Thu Apr 14 2011 Ted Ross <tross@redhat.com> - 0:0.10-3
- Added a patch to fix BZ694617
* Wed Apr 6 2011 Rajith Attapattu <rattapat@redhat.com> - 0:0.10.-2
- Added a patch to include QPID-3177 which is included in the upstream 0.10 release.
- Fixed an error in the qpid-deps source tarball.
* Thu Mar 24 2011 Rajith Attapattu <rattapat@redhat.com> - 0:0.10.-1
- Change the version from 0.10.1083082 to 0.10.
* Wed Mar 23 2011 Rajith Attapattu <rattapat@redhat.com> - 0:0.10.1083082-1
- Updated the source files to rev 1083082 in Qpid 0.10 branch.
* Thu Mar 10 2011 Andrew Stitcher <astitcher@redhat.com> - 0:0.9.1080013-3
- Fixed issue that stopped deployment on JBoss 5
- Added sample deployment resource
- Added some JCA example code
- Added separate Readme for JBoss deployment
* Thu Mar 10 2011 Andrew Stitcher <astitcher@redhat.com> - 0:0.9.1080013-2
- Updated JCA package added some documentation to it.
- Add qpid-deps jar into the qpid-ra rar file to supply dependencies for
qpid-common/qpid-client jars
* Wed Mar 9 2011 Rajith Attapattu <rattapat@redhat.com> - 0:0.9.1080013-1
- Updated the source files to rev 1080013 in Qpid 0.10 branch.
* Tue Mar 8 2011 Andrew Stitcher <astitcher@redhat.com> - 0:0.9.1073306-3
- Changed JCA build to use source for jar dependents
* Wed Mar 2 2011 Andrew Stitcher <astitcher@redhat.com> - 0:0.9.1073306-2
- Added new sub-package for JCA resource adapter
* Thu Feb 24 2011 Rajith Attapattu <rattapat@redhat.com> - 0:0.9.1073306-1
- Updated the source files to rev 1073306 in Qpid trunk.
* Thu Jan 27 2011 Rajith Attapattu <rattapat@redhat.com> - 0:0.7.946106-15
- Applied another patch for BZ 656488, 672212.
* Wed Jan 12 2011 Rajith Attapattu <rattapat@redhat.com> - 0:0.7.946106-14
- Applied patches for BZ 667428, 656488.
* Wed Nov 10 2010 Rajith Attapattu <rattapat@redhat.com> - 0:0.7.946106-12
- Applied patches for BZ 645855
* Tue Oct 12 2010 Rajith Attapattu <rattapat@redhat.com> - 0:0.7.946106-11
- Added "Obsoletes: qpid-java-qman <= 0.5.751061-9.el5" to the spec file.
* Wed Sep 22 2010 Rajith Attapattu <rattapat@redhat.com> - 0:0.7.946106-10
- Applied patches for BZ 634794, 636097, 633969.
* Mon Sep 13 2010 Rajith Attapattu <rattapat@redhat.com> - 0:0.7.946106-9
- Applied patches for BZ 626859.
* Mon Aug 30 2010 Rajith Attapattu <rattapat@redhat.com> - 0:0.7.946106-8
- Applied patches for BZ 620808, 621395, 622619.
* Thu Jul 29 2010 Rajith Attapattu <rattapat@redhat.com> - 0:0.7.946106-7
- Applied patches for BZ 616457, 614580, 618865, 618822, 614589, 513426, 619242.
* Mon Jul 12 2010 Rajith Attapattu <rattapat@redhat.com> - 0:0.7.946106-6
- Applied patches for bz612531, bz612526, bz612535.
* Wed Jun 30 2010 Rajith Attapattu <rattapat@redhat.com> - 0:0.7.946106-5
- Patches are now generated from git.
- Added a fix for bz608052
- Configured the javac target to 1.5 for dependencies
* Tue Jun 15 2010 Rajith Attapattu <rattapat@redhat.com> - 0:0.7.946106-4
- For dependencies that are not available as rpms, they are now built from source.
- For commons lang, the required classes are now added as a patch, removing the required dependency.
* Mon May 24 2010 Rajith Attapattu <rattapat@redhat.com> - 0:0.7.946106-3
- Fixed an error in the run_example script
- Added LICENSE and NOTICE to common rpm
* Mon May 24 2010 Rajith Attapattu <rattapat@redhat.com> - 0:0.7.946106-2
- Added Drain and Spout examples
- Removed dependency from sl4j rpm, instead using the jar in qpid-deps
* Thu May 20 2010 Rajith Attapattu <rattapat@redhat.com> - 0:0.7.946106-1
- Updated to rev 946106 of Qpid trunk
* Thu Apr 15 2010 Rajith Attapattu <rattapat@redhat.com> - 0:0.7.934605-1
- Updated to rev 934605 of Qpid trunk
* Tue Mar 2 2010 Rajith Attapattu <rattapat@redhat.com> - 0:0.7.918215-1
- Updated to rev 918215 of Qpid trunk
* Wed Feb 3 2010 Rajith Attapattu <rattapat@redhat.com> - 0:0.7.906145-1
- Updated to rev 906145 of Qpid trunk
- Stripped the qman package. The java broker is also not built anymore.
* Fri Oct 9 2009 Rajith Attapattu <rattapat@redhat.com> - 0:0.5.751061-9
- Removing patch attached to bz494630
- Applying patch attached to bz493559
- Applying patch attached to bz509395
* Tue Jun 25 2009 Rajith Attapattu <rattapat@redhat.com> - 0:0.5.751061-8
- Applying patch attached to bz506739
- Applying patch attached to bz507369
* Mon Jun 8 2009 Rafael Schloming <rafaels@redhat.com> - 0:0.5.751061-7
- Applying the heartbeat echo patch from bz504590
* Thu Jun 04 2009 Rajith Attapattu <rattapat@redhat.com> - 0:0.5.751061-6
- Applying the modified patch attached to bz503539
* Wed Jun 03 2009 Rajith Attapattu <rattapat@redhat.com> - 0:0.5.751061-5
- Applying patch attached to bz503526
- Applying patch attached to bz503539
* Thu May 21 2009 Rajith Attapattu <rattapat@redhat.com> - 0:0.5.751061-4
- Fixed an error in the spec file to apply all patches correctly
* Wed May 20 2009 Rajith Attapattu <rattapat@redhat.com> - 0:0.5.751061-3
- Applying patch attached to bz500146
- Applying patch attached to bz501552
* Wed Apr 8 2009 Rajith Attapattu <rattapat@redhat.com> - 0:0.5.751061-2
- Going back to revision 751061 of Qpid trunk
- Applying patch attached to bz494630
* Fri Mar 27 2009 Rajith Attapattu <rattapat@redhat.com> - 0:0.5.758820-1
- Updated to revision 758820 of the Qpid trunk
* Thu Mar 12 2009 Rajith Attapattu <rattapat@redhat.com> - 0:0.5.751061-1
- Updated to revision 751061 of the Qpid trunk
* Wed Mar 04 2009 Rajith Attapattu <rattapat@redhat.com> - 0:0.4.750205-1
- Updated to revision 750205 of the Qpid trunk
* Fri Feb 13 2009 Rajith Attapattu <rattapat@redhat.com> - 0:0.4.743367-1
- Updated to revision 743367 of the Qpid trunk
* Mon Feb 09 2009 Rajith Attapattu <rattapat@redhat.com> - 0:0.4.742278-1
- Updated to revision 742278 of the Qpid trunk
* Wed Jan 28 2009 Rajith Attapattu <rattapat@redhat.com> - 0:0.4.738568-1
- Updated to revision 738568 of the Qpid trunk
- Removed thread patch as it's comitted to trunk
* Fri Jan 9 2009 Rajith Attapattu <rattapat@redhat.com> - 0:0.3.733043-2
- Updated to revision 733043 of the Qpid M4-RCs branch
* Mon Nov 19 2008 Rajith Attapattu <rattapat@redhat.com> - 0:0.3.724504-1
- Updated to revision 724504 of the qpid trunk
- Added the Qman package
- Applied the thread abstraction patch
* Mon Nov 10 2008 Rajith Attapattu <rattapat@redhat.com> - 0:0.3.712662-1
- Updated to revision 712662 of the qpid trunk
* Fri Oct 31 2008 Nuno Santos <nsantos@redhat.com> - 0:0.3.709187-1
- Rebased to svn rev 709187
* Mon Oct 28 2008 Rajith Attapattu <rattapat@redhat.com> - 0:0.3.708221-1
- Updated to revision 708221 of the qpid trunk
* Fri Aug 25 2008 Justin Ross <jross@redhat.com> - 0:0.2.687156-1
- Updated to revision 687156 of the qpid.0-10 branch
* Fri Aug 15 2008 Justin Ross <jross@redhat.com> - 0:0.2.686136-1
- Updated to revision 686136 of the qpid.0-10 branch
* Mon Jun 16 2008 Justin Ross <jross@redhat.com> - 0:0.2.668333-1
- Updated to source revision 668333
* Fri Jun 13 2008 Arnaud Simon <asimon@redhat.com> - 0:0.2.667615-1
- Updated to source revision 667615
* Mon Jun 11 2008 Arnaud Simon <asimon@redhat.com> - 0:0.2.666296-2
- Updated common dep and removed package broker
* Mon Jun 10 2008 Justin Ross <jross@redhat.com> - 0:0.2.666296-1
- Updated to source revision 666296
* Mon Jun 9 2008 Arnaud Simon <asimon@redhat.com> - 0:0.2.665769-1
- Updated to source revision 665769
* Thu May 15 2008 Justin Ross <jross@redhat.com> - 0:0.2.656760-1
- Updated source tarballs instructions
- Added svn revision number to version
- Updated to source revision 656760
* Tue May 13 2008 Arnaud Simon <asimon@redhat.com> - 0:0.2-11
- changed version for solving version conflic
* Tue May 13 2008 Arnaud Simon <asimon@redhat.com> - 0:0.2-10
- changed some default network configuration
* Tue May 13 2008 Arnaud Simon <asimon@redhat.com> - 0:0.2-9
- Bumped release for Beta 4
* Fri Feb 15 2008 Rafael Schloming <rafaels@redhat.com> - 0:0.2-9
- fix for deadlock exposed by TCK
* Wed Feb 13 2008 Rafael Schloming <rafaels@redhat.com> - 0:0.2-8
- More bug fixes for Beta 3
* Tue Feb 12 2008 Rafael Schloming <rafaels@redhat.com> - 0:0.2-7
- Bumped release for Beta 3 bug fixes
* Mon Feb 11 2008 Rafael Schloming <rafaels@redhat.com> - 0:0.2-6
- Bumped release for Beta 3
* Mon Feb 11 2008 Nuno Santos <nsantos@redhat.com> - 0.2-5
- Initial build.

View file

@ -1,319 +0,0 @@
diff -crB a/qpid-java.spec b/qpid-java.spec
*** a/qpid-java.spec 2013-09-16 16:26:10.000000000 -0500
--- b/qpid-java.spec 2013-09-16 16:25:55.000000000 -0500
***************
*** 1,6 ****
! Name: qpid-java
Version: 0.18
! Release: 2%{?dist}
Summary: Java implementation of Apache Qpid
License: Apache Software License
Group: Development/Java
--- 1,8 ----
! %define _awips2_directory "/awips2/qpid"
!
! Name: awips2-qpid-java
Version: 0.18
! Release: 5%{?dist}
Summary: Java implementation of Apache Qpid
License: Apache Software License
Group: Development/Java
***************
*** 12,21 ****
--- 14,32 ----
Source0: %{qpid_src_dir}.tar.gz
Source1: qpid-build-deps-%{version}.tar.gz
Source2: %{qpid_deps_src_dir}.tar.gz
+ Source3: config.xml
+ Source4: virtualhosts.xml
+ Source5: qpidd
+ Source6: log4j.xml
+ Source7: qpid-wrapper
+ Source8: wrapper.conf
+ Source9: yajsw-distribution.tar
Patch0: mrg.patch
Patch1: examples.patch
Patch2: build.patch
+ Patch3: awips.patch
+ Patch4: qpid-messageNotFound.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
***************
*** 35,45 ****
%description common
Java implementation of Apache Qpid - common files
%package client
Summary: Java implementation of Apache Qpid - client
Group: Development/Java
BuildArch: noarch
! Requires: qpid-java-common = %{version}-%{release}
Requires: log4j >= 1.2.12
%description client
--- 46,65 ----
%description common
Java implementation of Apache Qpid - common files
+ %package broker
+ Summary: Java implementation of Apache Qpid - broker files
+ Group: Development/Java
+ BuildArch: noarch
+ Provides: awips2-base-component
+
+ %description broker
+ Java implementation of Apache Qpid - broker files
+
%package client
Summary: Java implementation of Apache Qpid - client
Group: Development/Java
BuildArch: noarch
! Requires: awips2-qpid-java-common = %{version}-%{release}
Requires: log4j >= 1.2.12
%description client
***************
*** 49,55 ****
Summary: Java implementation of Apache Qpid - example
Group: Development/Java
BuildArch: noarch
! Requires: qpid-java-client = %{version}-%{release}
%description example
Java implementation of Apache Qpid - example
--- 69,75 ----
Summary: Java implementation of Apache Qpid - example
Group: Development/Java
BuildArch: noarch
! Requires: awips2-qpid-java-client = %{version}-%{release}
%description example
Java implementation of Apache Qpid - example
***************
*** 58,67 ****
--- 78,103 ----
%setup -q -n %{qpid_src_dir}
mkdir -p java/lib/required
tar -xvzf %SOURCE1 -C java/lib/required
+ # copy baseline libraries and other libraries to required
+ for dependency in `cat %{_topdir}/SOURCES/awips2/dependencies.txt`;
+ do
+ cp -f %{_baseline_workspace}/${dependency} java/lib/required
+ if [ $? -ne 0 ]; then
+ exit 1
+ fi
+ done
+ # copy dependencies that are not native to the baseline to required
+ cp -f %{_topdir}/SOURCES/awips2/*.jar %{_topdir}/SOURCES/awips2/*.war java/lib/required
+ if [ $? -ne 0 ]; then
+ exit 1
+ fi
%patch0 -p2
%patch1 -p2
%patch2 -p2
+ # apply the awips patch
+ %patch3 -p2
+ %patch4 -p2
%setup -q -T -b 2 -n %{qpid_deps_src_dir}
***************
*** 70,76 ****
(
cd %{qpid_src_dir}/java
! ant -Dretrieve.dependencies=false -Dmodules=common\ client
# blacklisted jars are either provided by the Requires: or not needed.
BLACKLIST="slf4j qpid-client-tests qpid-all qpid-common-tests"
--- 106,120 ----
(
cd %{qpid_src_dir}/java
! for module in ${QPID_MODULES[*]}; do
! ant -Dretrieve.dependencies=false \
! -Dmodules=${module}
! done
! ant -Dretrieve.dependencies=false \
! -Dmodules=common\ client\ amqp-1-0-common\ amqp-1-0-client\ amqp-1-0-client-jms\ management/common\ broker\ jca\ systests\ broker-plugins/access-control\ broker-plugins/firewall\ broker-plugins/management-http\ broker-plugins/management-jmx
! if [ $? -ne 0 ]; then
! exit 1
! fi
# blacklisted jars are either provided by the Requires: or not needed.
BLACKLIST="slf4j qpid-client-tests qpid-all qpid-common-tests"
***************
*** 84,130 ****
cd ..
! install -dm 755 %{buildroot}%{_javadir}
! install -pm 644 %{qpid_src_dir}/java/build/lib/qpid-client-%{version}.jar %{buildroot}%{_javadir}
! install -pm 644 %{qpid_src_dir}/java/build/lib/qpid-client-%{version}-sources.jar %{buildroot}%{_javadir}
! install -pm 644 %{qpid_src_dir}/java/build/lib/qpid-common-%{version}.jar %{buildroot}%{_javadir}
! install -pm 644 %{qpid_src_dir}/java/build/lib/qpid-common-%{version}-sources.jar %{buildroot}%{_javadir}
!
! install -dm 755 %{buildroot}%{_javadir}/qpid-deps
! install -pm 644 %{qpid_src_dir}/java/build/lib/log4j-slf4j.jar %{buildroot}%{_javadir}/qpid-deps
! install -pm 644 %{qpid_src_dir}/java/build/lib/qpid-deps-%{version}.jar %{buildroot}%{_javadir}/qpid-deps
# examples
! install -dm 755 %{buildroot}%{_docdir}/%{name}-%{version}/examples/org/apache/qpid/example/
install -pm 644 %{qpid_src_dir}/java/client/example/src/main/java/org/apache/qpid/example/*.java \
! %{buildroot}%{_docdir}/%{name}-%{version}/examples/org/apache/qpid/example/
install -pm 644 %{qpid_src_dir}/java/client/example/src/main/java/org/apache/qpid/example/hello.properties \
! %{buildroot}%{_docdir}/%{name}-%{version}/examples/org/apache/qpid/example/
install -pm 644 %{qpid_src_dir}/java/client/example/example.log4j \
! %{buildroot}%{_docdir}/%{name}-%{version}/examples/
install -pm 755 %{qpid_src_dir}/java/client/example/bin/run_example.sh \
! %{buildroot}%{_docdir}/%{name}-%{version}/examples/
%clean
rm -rf %{buildroot}
%files common
! %defattr(-,root,root,-)
! %{_javadir}/qpid-deps/
! %{_javadir}/qpid-common-%{version}.jar
! %{_javadir}/qpid-common-%{version}-sources.jar
! %doc ../%{qpid_src_dir}/java/resources/LICENSE
! %doc ../%{qpid_src_dir}/java/resources/NOTICE
%files client
! %defattr(-,root,root,-)
! %{_javadir}/qpid-client-%{version}.jar
! %{_javadir}/qpid-client-%{version}-sources.jar
%files example
! %defattr(-,root,root,-)
! %{_docdir}/%{name}-%{version}/examples/
%changelog
* Thu Sep 6 2012 Irina Boverman <iboverma@redhat.com> - 0.18-2
--- 128,249 ----
cd ..
! install -dm 755 %{buildroot}%{_awips2_directory}/lib/opt
! install -pm 644 %{qpid_src_dir}/java/build/lib/qpid-client-%{version}.jar \
! %{buildroot}%{_awips2_directory}/lib/opt
! install -pm 644 %{qpid_src_dir}/java/build/lib/qpid-common-%{version}.jar \
! %{buildroot}%{_awips2_directory}/lib/opt
! install -pm 644 %{qpid_src_dir}/java/build/lib/qpid-broker-%{version}.jar \
! %{buildroot}%{_awips2_directory}/lib/opt
! install -pm 644 %{qpid_src_dir}/java/build/lib/qpid-management-common-%{version}.jar \
! %{buildroot}%{_awips2_directory}/lib/opt
! install -pm 644 %{qpid_src_dir}/java/build/lib/plugins/qpid-broker-plugins-management-jmx-%{version}.jar \
! %{buildroot}%{_awips2_directory}/lib/opt
! install -pm 644 %{qpid_src_dir}/java/build/lib/plugins/qpid-broker-plugins-access-control-%{version}.jar \
! %{buildroot}%{_awips2_directory}/lib/opt
! install -pm 644 %{qpid_src_dir}/java/build/lib/plugins/qpid-broker-plugins-firewall-%{version}.jar \
! %{buildroot}%{_awips2_directory}/lib/opt
! install -pm 644 %{qpid_src_dir}/java/build/lib/plugins/qpid-broker-plugins-management-http-%{version}.jar \
! %{buildroot}%{_awips2_directory}/lib/opt
!
! # scripts for broker
! install -dm 755 %{buildroot}%{_awips2_directory}/bin
! install -pm 644 %{qpid_src_dir}/java/build/bin/* %{buildroot}%{_awips2_directory}/bin
! # install the wrapper script
! install -pm 644 %SOURCE7 %{buildroot}%{_awips2_directory}/bin
! # add the yajsw distribution
! tar -xf %SOURCE9 -C %{buildroot}%{_awips2_directory}/bin
!
! # wrapper configuration
! install -dm 755 %{buildroot}%{_awips2_directory}/conf
! install -pm 644 %SOURCE8 %{buildroot}%{_awips2_directory}/conf
!
! # service script
! mkdir -p %{buildroot}/etc/init.d
! install -pm 755 %SOURCE5 %{buildroot}/etc/init.d
! # logs directory
! mkdir -p %{buildroot}%{_awips2_directory}/log
!
! # qpid configuration
! install -dm 755 %{buildroot}%{_awips2_directory}/etc
! install -pm 644 %{qpid_src_dir}/java/broker/etc/* \
! %{buildroot}%{_awips2_directory}/etc
! # overwrite the default configuration with the AWIPS II configuration
! install -pm 644 %SOURCE3 %{buildroot}%{_awips2_directory}/etc
! install -pm 644 %SOURCE4 %{buildroot}%{_awips2_directory}/etc
!
! # overwrite the default log4j configuration with the AWIPS II log4j configuration
! install -pm 644 %SOURCE6 %{buildroot}%{_awips2_directory}/etc
!
! # foss dependencies
! install -dm 755 %{buildroot}%{_awips2_directory}/lib/opt/qpid-deps
! install -pm 644 %{qpid_src_dir}/java/lib/required/*.jar \
! %{buildroot}%{_awips2_directory}/lib/opt/qpid-deps
!
! # license & notice
! install -pm 644 %{qpid_src_dir}/java/resources/LICENSE \
! %{buildroot}%{_awips2_directory}
! install -pm 644 %{qpid_src_dir}/java/resources/NOTICE \
! %{buildroot}%{_awips2_directory}
# examples
! install -dm 755 %{buildroot}%{_awips2_directory}/doc/%{name}-%{version}/examples/org/apache/qpid/example/
install -pm 644 %{qpid_src_dir}/java/client/example/src/main/java/org/apache/qpid/example/*.java \
! %{buildroot}%{_awips2_directory}/doc/%{name}-%{version}/examples/org/apache/qpid/example/
install -pm 644 %{qpid_src_dir}/java/client/example/src/main/java/org/apache/qpid/example/hello.properties \
! %{buildroot}%{_awips2_directory}/doc/%{name}-%{version}/examples/org/apache/qpid/example/
install -pm 644 %{qpid_src_dir}/java/client/example/example.log4j \
! %{buildroot}%{_awips2_directory}/doc/%{name}-%{version}/examples/
install -pm 755 %{qpid_src_dir}/java/client/example/bin/run_example.sh \
! %{buildroot}%{_awips2_directory}/doc/%{name}-%{version}/examples/
%clean
rm -rf %{buildroot}
%files common
! %defattr(-,awips,fxalpha,-)
! %dir /awips2/qpid
! %dir /awips2/qpid/lib
! %dir /awips2/qpid/lib/opt
! /awips2/qpid/lib/opt/qpid-common-%{version}.jar
! /awips2/qpid/lib/opt/qpid-management-common-%{version}.jar
! %dir /awips2/qpid/lib/opt/qpid-deps
! /awips2/qpid/lib/opt/qpid-deps/*
! %doc /awips2/qpid/LICENSE
! %doc /awips2/qpid/NOTICE
%files client
! %defattr(-,awips,fxalpha,-)
! %dir /awips2/qpid
! %dir /awips2/qpid/lib
! %dir /awips2/qpid/lib/opt
! /awips2/qpid/lib/opt/qpid-client-%{version}.jar
!
! %files broker
! %defattr(-,awips,fxalpha,-)
! %dir /awips2/qpid
! %dir /awips2/qpid/lib
! %dir /awips2/qpid/lib/opt
! /awips2/qpid/lib/opt/qpid-broker-%{version}.jar
! /awips2/qpid/lib/opt/qpid-broker-plugins-management-jmx-%{version}.jar
! /awips2/qpid/lib/opt/qpid-broker-plugins-access-control-%{version}.jar
! /awips2/qpid/lib/opt/qpid-broker-plugins-firewall-%{version}.jar
! /awips2/qpid/lib/opt/qpid-broker-plugins-management-http-%{version}.jar
! %dir /awips2/qpid/log
! %dir /awips2/qpid/conf
! /awips2/qpid/conf/*
! %defattr(755,awips,fxalpha,755)
! %dir /awips2/qpid/bin
! /awips2/qpid/bin/*
! %dir /awips2/qpid/etc
! /awips2/qpid/etc/*
! %defattr(755,root,root,755)
! /etc/init.d/qpidd
%files example
! %defattr(-,awips,fxalpha,-)
! /awips2/qpid/doc/%{name}-%{version}/examples/
%changelog
* Thu Sep 6 2012 Irina Boverman <iboverma@redhat.com> - 0.18-2

View file

@ -1,122 +0,0 @@
%define _build_arch %(uname -i)
%define _qpid_version 0.18
%define _qpid_build_loc %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
%global qpid_src_dir qpid-%{version}
#
# AWIPS II QPID native Spec File
#
Name: awips2-qpid-lib
Summary: AWIPS II QPID Native Library Distribution
Version: %{_qpid_version}
Release: 1.el6
Group: AWIPSII
BuildRoot: %{_build_root}
BuildArch: %{_build_arch}
URL: N/A
License: N/A
Distribution: N/A
Vendor: Raytheon
Packager: Bryan Kowal
Source0: %{qpid_src_dir}.tar.gz
AutoReq: no
BuildRequires: awips2-python
provides: awips2-qpid-lib
%description
AWIPS II QPID Lib Distribution - Contains the qpid shared libraries and
header files for qpid %{_qpid_version}.
%prep
# Ensure that a "buildroot" has been specified.
if [ "%{_build_root}" = "" ]; then
echo "ERROR: A BuildRoot has not been specified."
echo "FATAL: Unable to Continue ... Terminating."
exit 1
fi
if [ -d %{_build_root} ]; then
rm -rf %{_build_root}
fi
if [ -d %{_qpid_build_loc} ]; then
rm -rf %{_qpid_build_loc}
fi
mkdir -p %{_qpid_build_loc}
if [ $? -ne 0 ]; then
exit 1
fi
cp -v %SOURCE0 %{_qpid_build_loc}
if [ $? -ne 0 ]; then
exit 1
fi
pushd . > /dev/null 2>&1
cd %{_qpid_build_loc}
tar -xvf %SOURCE0
if [ $? -ne 0 ]; then
exit 1
fi
popd > /dev/null 2>&1
%build
pushd . > /dev/null 2>&1
cd %{_qpid_build_loc}/%{qpid_src_dir}/cpp
./bootstrap
if [ $? -ne 0 ]; then
exit 1
fi
./configure --prefix=%{_qpid_build_loc}/awips2/qpid --without-sasl
if [ $? -ne 0 ]; then
exit 1
fi
make
if [ $? -ne 0 ]; then
exit 1
fi
popd > /dev/null 2>&1
%install
/bin/mkdir -p %{_qpid_build_loc}/awips2/qpid
if [ $? -ne 0 ]; then
exit 1
fi
pushd . > /dev/null 2>&1
cd %{_qpid_build_loc}/%{qpid_src_dir}/cpp
make install
if [ $? -ne 0 ]; then
exit 1
fi
popd > /dev/null 2>&1
/bin/mkdir -p %{_build_root}/awips2/qpid
if [ $? -ne 0 ]; then
exit 1
fi
# copy qpid lib and include directories.
/bin/cp -rv %{_qpid_build_loc}/awips2/qpid/lib \
%{_build_root}/awips2/qpid
/bin/cp -rv %{_qpid_build_loc}/awips2/qpid/include \
%{_build_root}/awips2/qpid
%pre
%post
%preun
%postun
%clean
rm -rf ${RPM_BUILD_ROOT}
rm -rf %{_qpid_build_loc}
%files
%defattr(644,awips,fxalpha,755)
%dir /awips2/qpid
%dir /awips2/qpid/lib
/awips2/qpid/lib/*
%dir /awips2/qpid/include
/awips2/qpid/include/*

View file

@ -1,73 +0,0 @@
#!/bin/bash
# Verify that the workspace has been specified
if [ -z ${WORKSPACE} ]; then
echo "Error: the location of the baseline workspace must be specified using the WORKSPACE environment variable."
exit 1
fi
if [ -z ${AWIPSII_BUILD_ROOT} ]; then
export AWIPSII_BUILD_ROOT="/tmp/${USER}/awips-component"
echo "INFO: using default build root - ${AWIPSII_BUILD_ROOT}."
fi
__SPECS=qpid-java.spec
__SPECS_PATCH0=qpid-java.spec.patch0
# apply the rpm specification patch
cd ../SPECS
if [ $? -ne 0 ]; then
exit 1
fi
patch -p1 -i ${__SPECS_PATCH0}
if [ $? -ne 0 ]; then
exit 1
fi
pushd . > /dev/null
cd ../
export TOPDIR=`pwd`
# create the rpm directory structure
if [ -d ${TOPDIR}/BUILD ]; then
rm -rf ${TOPDIR}/BUILD
if [ $? -ne 0 ]; then
exit 1
fi
fi
mkdir ${TOPDIR}/BUILD
if [ -d ${TOPDIR}/RPMS ]; then
rm -rf ${TOPDIR}/RPMS
if [ $? -ne 0 ]; then
exit 1
fi
fi
mkdir ${TOPDIR}/RPMS
if [ -d ${TOPDIR}/SRPMS ]; then
rm -rf ${TOPDIR}/SRPMS
if [ $? -ne 0 ]; then
exit 1
fi
fi
mkdir ${TOPDIR}/SRPMS
# build the rpm
rpmbuild -ba \
--define "_topdir ${TOPDIR}" \
--define "_baseline_workspace ${WORKSPACE}" \
SPECS/${__SPECS}
if [ $? -ne 0 ]; then
exit 1
fi
rpmbuild -ba \
--define "_topdir ${TOPDIR}" \
--define "_baseline_workspace ${WORKSPACE}" \
--define "_build_root ${AWIPSII_BUILD_ROOT}" \
--buildroot ${AWIPSII_BUILD_ROOT} \
SPECS/qpid-lib.spec
if [ $? -ne 0 ]; then
exit 1
fi
popd > /dev/null
exit 0

View file

@ -1,68 +0,0 @@
diff -crB a/qpid/java/build.deps b/qpid/java/build.deps
*** a/qpid/java/build.deps 2014-04-13 09:12:12.000000000 -0500
--- b/qpid/java/build.deps 2014-10-28 09:14:30.121201558 -0500
***************
*** 17,29 ****
# under the License.
#
! commons-beanutils-core=lib/required/commons-beanutils-core-1.8.3.jar
commons-cli=lib/required/commons-cli-1.2.jar
! commons-codec=lib/required/commons-codec-1.6.jar
commons-collections=lib/required/commons-collections-3.2.1.jar
commons-configuration=lib/required/commons-configuration-1.8.jar
commons-digester=lib/required/commons-digester-1.8.1.jar
! commons-lang=lib/required/commons-lang-2.6.jar
commons-logging=lib/required/commons-logging-1.1.1.jar
bcel=lib/required/bcel-5.2.jar
--- 17,29 ----
# under the License.
#
! commons-beanutils-core=lib/required/commons-beanutils-1.8.3.jar
commons-cli=lib/required/commons-cli-1.2.jar
! commons-codec=lib/required/commons-codec-1.4.jar
commons-collections=lib/required/commons-collections-3.2.1.jar
commons-configuration=lib/required/commons-configuration-1.8.jar
commons-digester=lib/required/commons-digester-1.8.1.jar
! commons-lang=lib/required/commons-lang-2.3.jar
commons-logging=lib/required/commons-logging-1.1.1.jar
bcel=lib/required/bcel-5.2.jar
***************
*** 35,41 ****
geronimo-jta=lib/required/geronimo-jta_1.1_spec-1.1.1.jar
geronimo-kernel=lib/required/geronimo-kernel-2.2.1.jar
geronimo-openejb=lib/required/geronimo-ejb_3.0_spec-1.0.1.jar
! geronimo-servlet=lib/required/geronimo-servlet_3.0_spec-1.0.jar
junit=lib/required/junit-3.8.1.jar
mockito-all=lib/required/mockito-all-1.9.0.jar
--- 35,41 ----
geronimo-jta=lib/required/geronimo-jta_1.1_spec-1.1.1.jar
geronimo-kernel=lib/required/geronimo-kernel-2.2.1.jar
geronimo-openejb=lib/required/geronimo-ejb_3.0_spec-1.0.1.jar
! geronimo-servlet=lib/required/geronimo-servlet_2.5_spec-1.1.2.jar
junit=lib/required/junit-3.8.1.jar
mockito-all=lib/required/mockito-all-1.9.0.jar
***************
*** 60,67 ****
dojo-version=1.9.1
dojo=lib/required/dojo-${dojo-version}.zip
! jackson-core=lib/required/jackson-core-asl-1.9.0.jar
! jackson-mapper=lib/required/jackson-mapper-asl-1.9.0.jar
commons-configuration.libs = ${commons-beanutils-core} ${commons-digester} \
${commons-codec} ${commons-lang} ${commons-collections} ${commons-configuration}
--- 60,67 ----
dojo-version=1.9.1
dojo=lib/required/dojo-${dojo-version}.zip
! jackson-core=lib/required/jackson-core-asl-1.7.3.jar
! jackson-mapper=lib/required/jackson-mapper-asl-1.7.3.jar
commons-configuration.libs = ${commons-beanutils-core} ${commons-digester} \
${commons-codec} ${commons-lang} ${commons-collections} ${commons-configuration}

View file

@ -1,10 +0,0 @@
org.apache.commons.cli/commons-cli-1.2.jar
org.apache.commons.beanutils/commons-beanutils-1.8.3.jar
org.apache.commons.digester/commons-digester-1.8.1.jar
org.apache.commons.codec/commons-codec-1.4.jar
org.apache.commons.lang/commons-lang-2.3.jar
org.apache.commons.collections/commons-collections-3.2.jar
org.apache.commons.digester/commons-digester-1.8.1.jar
org.codehaus.jackson/jackson-core-asl-1.7.3.jar
org.codehaus.jackson/jackson-mapper-asl-1.7.3.jar
org.mockito/mockito-all-1.9.0.jar

View file

@ -1,19 +0,0 @@
*** a/qpid/java/build.xml 2014-05-13 04:58:21.000000000 -0500
--- b/qpid/java/build.xml 2014-10-27 14:53:46.434396511 -0500
***************
*** 179,185 ****
<touch file="${qpid.jar}"/>
</target>
! <target name="build" depends="retrieve-dependencies" description="build the project">
<iterate target="build"/>
<antcall target="manifest"/>
<echo>
--- 179,185 ----
<touch file="${qpid.jar}"/>
</target>
! <target name="build" description="build the project">
<iterate target="build"/>
<antcall target="manifest"/>
<echo>

View file

@ -1,96 +0,0 @@
From 4acdbf975c076c2c49e7e2436065ca7d18dfab20 Mon Sep 17 00:00:00 2001
From: rajith <rajith@redhat.com>
Date: Wed, 16 Jun 2010 16:37:11 -0400
Subject: [PATCH 02/52] These two files are not present in upstream and we currently carry them as a patch.
The reason being that the run_example.sh is tailored specific for the linux env.
Including the example.log4j depends on how the release artefacts will look like for the 0.7 qpid release.
---
qpid/java/client/example/bin/run_example.sh | 43 +++++++++++++++++++++++++++
qpid/java/client/example/example.log4j | 27 +++++++++++++++++
2 files changed, 70 insertions(+), 0 deletions(-)
create mode 100644 qpid/java/client/example/bin/run_example.sh
create mode 100644 qpid/java/client/example/example.log4j
diff --git a/qpid/java/client/example/bin/run_example.sh b/qpid/java/client/example/bin/run_example.sh
new file mode 100644
index 0000000..5bd0e99
--- /dev/null
+++ b/qpid/java/client/example/bin/run_example.sh
@@ -0,0 +1,43 @@
+#!/bin/bash
+
+#
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements. See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership. The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License. You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied. See the License for the
+# specific language governing permissions and limitations
+# under the License.
+#
+
+# set the CLASSPATH
+QPID_DEPS=`find /usr/share/java/qpid-deps/*.jar | tr '\n' ":"`
+QPID_JARS=`find /usr/share/java -name 'qpid-client*.jar' -or -name 'qpid-common*.jar' | tr '\n' ":"`
+LOG4J="/usr/share/java/log4j.jar"
+QPID_CLASSPATH=$QPID_DEPS$LOG4J:$QPID_JARS
+
+# compile the samples
+javac -cp "$QPID_CLASSPATH" -sourcepath "$PWD" -d . `find $PWD -name '*.java'`
+
+# Add output classes to CLASSPATH
+QPID_CLASSPATH="$PWD:$QPID_CLASSPATH"
+
+
+# Check if the user supplied a sample classname
+if test "'x$1'" = "'x'"
+then
+ echo "No sample classname specified"
+ exit;
+else
+ java -cp $QPID_CLASSPATH -Dlog4j.configuration=example.log4j "$@"
+fi
+
diff --git a/qpid/java/client/example/example.log4j b/qpid/java/client/example/example.log4j
new file mode 100644
index 0000000..50b4ed2
--- /dev/null
+++ b/qpid/java/client/example/example.log4j
@@ -0,0 +1,27 @@
+#
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements. See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership. The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License. You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied. See the License for the
+# specific language governing permissions and limitations
+# under the License.
+#
+
+log4j.logger.org.apache.qpid=WARN, console
+log4j.additivity.org.apache.qpid=false
+
+
+log4j.appender.console=org.apache.log4j.ConsoleAppender
+log4j.appender.console.Threshold=all
+log4j.appender.console.layout=org.apache.log4j.PatternLayout
+log4j.appender.console.layout.ConversionPattern=%t %d %p [%c{4}] %m%n

View file

@ -1,422 +0,0 @@
%define _awips2_directory "/awips2/qpid"
Name: awips2-qpid-java
Version: 0.28
Release: 5%{?dist}
Summary: Java implementation of Apache Qpid
License: Apache Software License
Group: Development/Java
URL: http://qpid.apache.org/
%global qpid_src_dir qpid-%{version}
%global qpid_deps_src_dir qpid-deps-%{version}
Source0: %{qpid_src_dir}.tar.gz
Patch0: build.patch
Patch1: examples.patch
Patch2: awips.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
BuildRequires: ant >= 1.6.5
BuildRequires: ant-nodeps >= 1.6.5
BuildRequires: java-devel >= 1.6.0
BuildRequires: ant-trax >= 1.6.5
%description
Java implementation of Apache Qpid.
%package common
Summary: Java implementation of Apache Qpid - common files
Group: Development/Java
BuildArch: noarch
%description common
Java implementation of Apache Qpid - common files
%package client
Summary: Java implementation of Apache Qpid - client
Group: Development/Java
BuildArch: noarch
Requires: awips2-qpid-java-common = %{version}-%{release}
Requires: log4j >= 1.2.12
%description client
Java implementation of Apache Qpid - client
%package example
Summary: Java implementation of Apache Qpid - example
Group: Development/Java
BuildArch: noarch
Requires: awips2-qpid-java-client = %{version}-%{release}
%description example
Java implementation of Apache Qpid - example
%prep
%setup -q -n %{qpid_src_dir}
mkdir -p java/lib/required
# copy baseline libraries and other libraries to required
for dependency in `cat %{_topdir}/SOURCES/awips2/dependencies.txt`;
do
cp -f %{_baseline_workspace}/${dependency} java/lib/required
if [ $? -ne 0 ]; then
exit 1
fi
done
# copy dependencies that are not native to the baseline to required
cp -f %{_topdir}/SOURCES/awips2/*.jar %{_topdir}/SOURCES/awips2/*.zip java/lib/required
if [ $? -ne 0 ]; then
exit 1
fi
%patch0 -p2
%patch1 -p2
# apply the awips patch
%patch2 -p2
%build
cd ..
(
cd %{qpid_src_dir}/java
for module in ${QPID_MODULES[*]}; do
ant -Dretrieve.dependencies=false \
-Dmodules=${module}
done
ant -Dretrieve.dependencies=false \
-Dmodules=qpid-test-utils\ common\ management/common\ client\ amqp-1-0-common\ amqp-1-0-client\ amqp-1-0-client-jms\ jca
if [ $? -ne 0 ]; then
exit 1
fi
# blacklisted jars are either provided by the Requires: or not needed.
BLACKLIST="slf4j qpid-client-tests qpid-all qpid-common-tests"
for jar in $BLACKLIST; do rm build/lib/${jar}*.jar; done
)
%install
rm -rf %{buildroot}
cd ..
install -dm 755 %{buildroot}%{_awips2_directory}/lib/opt
install -pm 644 %{qpid_src_dir}/java/build/lib/qpid-client-%{version}.jar \
%{buildroot}%{_awips2_directory}/lib/opt
install -pm 644 %{qpid_src_dir}/java/build/lib/qpid-common-%{version}.jar \
%{buildroot}%{_awips2_directory}/lib/opt
install -pm 644 %{qpid_src_dir}/java/build/lib/qpid-management-common-%{version}.jar \
%{buildroot}%{_awips2_directory}/lib/opt
# foss dependencies
install -dm 755 %{buildroot}%{_awips2_directory}/lib/opt/qpid-deps
install -pm 644 %{qpid_src_dir}/java/lib/required/*.jar \
%{buildroot}%{_awips2_directory}/lib/opt/qpid-deps
# license & notice
install -pm 644 %{qpid_src_dir}/java/resources/LICENSE \
%{buildroot}%{_awips2_directory}
install -pm 644 %{qpid_src_dir}/java/resources/NOTICE \
%{buildroot}%{_awips2_directory}
# examples
install -dm 755 %{buildroot}%{_awips2_directory}/doc/%{name}-%{version}/examples/org/apache/qpid/example/
install -pm 644 %{qpid_src_dir}/java/client/example/src/main/java/org/apache/qpid/example/*.java \
%{buildroot}%{_awips2_directory}/doc/%{name}-%{version}/examples/org/apache/qpid/example/
install -pm 644 %{qpid_src_dir}/java/client/example/src/main/java/org/apache/qpid/example/hello.properties \
%{buildroot}%{_awips2_directory}/doc/%{name}-%{version}/examples/org/apache/qpid/example/
install -pm 644 %{qpid_src_dir}/java/client/example/example.log4j \
%{buildroot}%{_awips2_directory}/doc/%{name}-%{version}/examples/
install -pm 755 %{qpid_src_dir}/java/client/example/bin/run_example.sh \
%{buildroot}%{_awips2_directory}/doc/%{name}-%{version}/examples/
%clean
rm -rf %{buildroot}
%files common
%defattr(-,awips,fxalpha,-)
%dir /awips2/qpid
%dir /awips2/qpid/lib
%dir /awips2/qpid/lib/opt
/awips2/qpid/lib/opt/qpid-common-%{version}.jar
/awips2/qpid/lib/opt/qpid-management-common-%{version}.jar
%dir /awips2/qpid/lib/opt/qpid-deps
/awips2/qpid/lib/opt/qpid-deps/*
%doc /awips2/qpid/LICENSE
%doc /awips2/qpid/NOTICE
%files client
%defattr(-,awips,fxalpha,-)
%dir /awips2/qpid
%dir /awips2/qpid/lib
%dir /awips2/qpid/lib/opt
/awips2/qpid/lib/opt/qpid-client-%{version}.jar
%files example
%defattr(-,awips,fxalpha,-)
/awips2/qpid/doc/%{name}-%{version}/examples/
%changelog
* Thu Sep 6 2012 Irina Boverman <iboverma@redhat.com> - 0.18-2
- Resolved bz 851574
* Tue Jul 10 2012 Justin Ross <jross@redhat.com> - 0.18-1
- Refactored spec file to use standard Qpid source export
- Rebased to Qpid 0.18 beta source
* Thu Feb 23 2012 Rajith Attapattu <rattapat@redhat.com> - 0:0.14-3
- Added a patch to account for changes between 0.14-rc1 and HEAD of 0.14-mrg-preview.
* Thu Feb 16 2012 Rajith Attapattu <rattapat@redhat.com> - 0:0.14-2
- Added a patch to account for changes between 0.14-rc1 and HEAD of 0.14-mrg-preview.
* Mon Dec 12 2011 Rajith Attapattu <rattapat@redhat.com> - 0:0.14-1
- Rebased the client to use the Qpid 0.14 RC1 source.
- Added a patch to account for changes between 0.14-rc1 and HEAD of 0.14-mrg-preview.
* Fri Sep 23 2011 Andrew Stitcher <astitcher@redhat.com> - 0:0.10-11
- Added new qpid-java-jca-zip package which wraps a zip of everything
in qpid jca.
- Make qpid-deps jar have correct 0.10 version
- Updated patch to include latest Qpid JCA work:
BZ.738316
BZ 733383
BZ 736252
BZ 700500
BZ 707535
BZ 722614
BZ 735030
BZ 738615
BZ 700494
BZ 705913
BZ 723714
BZ 735384
BZ 736794
BZ 737880
BZ 735322
BZ 736785
* Tue Sep 14 2011 Rajith Attapattu <rattapat@redhat.com> - 0:0.10-9
- Added a patch to account for changes between 0.10 and mrg_2.0.3 head rev on Sep 14th.
* Mon May 16 2011 Rajith Attapattu <rattapat@redhat.com> - 0:0.10.-6
- Added a patch to account for changes between 0.10 and qpid-0.10-package-set-7 tags.
* Thu Apr 28 2011 Andrew Stitcher <astitcher@redhat.com> - 0:0.10.-5
- Removed jar file that was not meant to be in qpid-java-common
* Wed Apr 20 2011 Rajith Attapattu <rattapat@redhat.com> - 0:0.10.-4
- Added a patch to account for changes between 0.10 and qpid-0.10-package-set-5 tags.
* Thu Apr 14 2011 Ted Ross <tross@redhat.com> - 0:0.10-3
- Added a patch to fix BZ694617
* Wed Apr 6 2011 Rajith Attapattu <rattapat@redhat.com> - 0:0.10.-2
- Added a patch to include QPID-3177 which is included in the upstream 0.10 release.
- Fixed an error in the qpid-deps source tarball.
* Thu Mar 24 2011 Rajith Attapattu <rattapat@redhat.com> - 0:0.10.-1
- Change the version from 0.10.1083082 to 0.10.
* Wed Mar 23 2011 Rajith Attapattu <rattapat@redhat.com> - 0:0.10.1083082-1
- Updated the source files to rev 1083082 in Qpid 0.10 branch.
* Thu Mar 10 2011 Andrew Stitcher <astitcher@redhat.com> - 0:0.9.1080013-3
- Fixed issue that stopped deployment on JBoss 5
- Added sample deployment resource
- Added some JCA example code
- Added separate Readme for JBoss deployment
* Thu Mar 10 2011 Andrew Stitcher <astitcher@redhat.com> - 0:0.9.1080013-2
- Updated JCA package added some documentation to it.
- Add qpid-deps jar into the qpid-ra rar file to supply dependencies for
qpid-common/qpid-client jars
* Wed Mar 9 2011 Rajith Attapattu <rattapat@redhat.com> - 0:0.9.1080013-1
- Updated the source files to rev 1080013 in Qpid 0.10 branch.
* Tue Mar 8 2011 Andrew Stitcher <astitcher@redhat.com> - 0:0.9.1073306-3
- Changed JCA build to use source for jar dependents
* Wed Mar 2 2011 Andrew Stitcher <astitcher@redhat.com> - 0:0.9.1073306-2
- Added new sub-package for JCA resource adapter
* Thu Feb 24 2011 Rajith Attapattu <rattapat@redhat.com> - 0:0.9.1073306-1
- Updated the source files to rev 1073306 in Qpid trunk.
* Thu Jan 27 2011 Rajith Attapattu <rattapat@redhat.com> - 0:0.7.946106-15
- Applied another patch for BZ 656488, 672212.
* Wed Jan 12 2011 Rajith Attapattu <rattapat@redhat.com> - 0:0.7.946106-14
- Applied patches for BZ 667428, 656488.
* Wed Nov 10 2010 Rajith Attapattu <rattapat@redhat.com> - 0:0.7.946106-12
- Applied patches for BZ 645855
* Tue Oct 12 2010 Rajith Attapattu <rattapat@redhat.com> - 0:0.7.946106-11
- Added "Obsoletes: qpid-java-qman <= 0.5.751061-9.el5" to the spec file.
* Wed Sep 22 2010 Rajith Attapattu <rattapat@redhat.com> - 0:0.7.946106-10
- Applied patches for BZ 634794, 636097, 633969.
* Mon Sep 13 2010 Rajith Attapattu <rattapat@redhat.com> - 0:0.7.946106-9
- Applied patches for BZ 626859.
* Mon Aug 30 2010 Rajith Attapattu <rattapat@redhat.com> - 0:0.7.946106-8
- Applied patches for BZ 620808, 621395, 622619.
* Thu Jul 29 2010 Rajith Attapattu <rattapat@redhat.com> - 0:0.7.946106-7
- Applied patches for BZ 616457, 614580, 618865, 618822, 614589, 513426, 619242.
* Mon Jul 12 2010 Rajith Attapattu <rattapat@redhat.com> - 0:0.7.946106-6
- Applied patches for bz612531, bz612526, bz612535.
* Wed Jun 30 2010 Rajith Attapattu <rattapat@redhat.com> - 0:0.7.946106-5
- Patches are now generated from git.
- Added a fix for bz608052
- Configured the javac target to 1.5 for dependencies
* Tue Jun 15 2010 Rajith Attapattu <rattapat@redhat.com> - 0:0.7.946106-4
- For dependencies that are not available as rpms, they are now built from source.
- For commons lang, the required classes are now added as a patch, removing the required dependency.
* Mon May 24 2010 Rajith Attapattu <rattapat@redhat.com> - 0:0.7.946106-3
- Fixed an error in the run_example script
- Added LICENSE and NOTICE to common rpm
* Mon May 24 2010 Rajith Attapattu <rattapat@redhat.com> - 0:0.7.946106-2
- Added Drain and Spout examples
- Removed dependency from sl4j rpm, instead using the jar in qpid-deps
* Thu May 20 2010 Rajith Attapattu <rattapat@redhat.com> - 0:0.7.946106-1
- Updated to rev 946106 of Qpid trunk
* Thu Apr 15 2010 Rajith Attapattu <rattapat@redhat.com> - 0:0.7.934605-1
- Updated to rev 934605 of Qpid trunk
* Tue Mar 2 2010 Rajith Attapattu <rattapat@redhat.com> - 0:0.7.918215-1
- Updated to rev 918215 of Qpid trunk
* Wed Feb 3 2010 Rajith Attapattu <rattapat@redhat.com> - 0:0.7.906145-1
- Updated to rev 906145 of Qpid trunk
- Stripped the qman package. The java broker is also not built anymore.
* Fri Oct 9 2009 Rajith Attapattu <rattapat@redhat.com> - 0:0.5.751061-9
- Removing patch attached to bz494630
- Applying patch attached to bz493559
- Applying patch attached to bz509395
* Tue Jun 25 2009 Rajith Attapattu <rattapat@redhat.com> - 0:0.5.751061-8
- Applying patch attached to bz506739
- Applying patch attached to bz507369
* Mon Jun 8 2009 Rafael Schloming <rafaels@redhat.com> - 0:0.5.751061-7
- Applying the heartbeat echo patch from bz504590
* Thu Jun 04 2009 Rajith Attapattu <rattapat@redhat.com> - 0:0.5.751061-6
- Applying the modified patch attached to bz503539
* Wed Jun 03 2009 Rajith Attapattu <rattapat@redhat.com> - 0:0.5.751061-5
- Applying patch attached to bz503526
- Applying patch attached to bz503539
* Thu May 21 2009 Rajith Attapattu <rattapat@redhat.com> - 0:0.5.751061-4
- Fixed an error in the spec file to apply all patches correctly
* Wed May 20 2009 Rajith Attapattu <rattapat@redhat.com> - 0:0.5.751061-3
- Applying patch attached to bz500146
- Applying patch attached to bz501552
* Wed Apr 8 2009 Rajith Attapattu <rattapat@redhat.com> - 0:0.5.751061-2
- Going back to revision 751061 of Qpid trunk
- Applying patch attached to bz494630
* Fri Mar 27 2009 Rajith Attapattu <rattapat@redhat.com> - 0:0.5.758820-1
- Updated to revision 758820 of the Qpid trunk
* Thu Mar 12 2009 Rajith Attapattu <rattapat@redhat.com> - 0:0.5.751061-1
- Updated to revision 751061 of the Qpid trunk
* Wed Mar 04 2009 Rajith Attapattu <rattapat@redhat.com> - 0:0.4.750205-1
- Updated to revision 750205 of the Qpid trunk
* Fri Feb 13 2009 Rajith Attapattu <rattapat@redhat.com> - 0:0.4.743367-1
- Updated to revision 743367 of the Qpid trunk
* Mon Feb 09 2009 Rajith Attapattu <rattapat@redhat.com> - 0:0.4.742278-1
- Updated to revision 742278 of the Qpid trunk
* Wed Jan 28 2009 Rajith Attapattu <rattapat@redhat.com> - 0:0.4.738568-1
- Updated to revision 738568 of the Qpid trunk
- Removed thread patch as it's comitted to trunk
* Fri Jan 9 2009 Rajith Attapattu <rattapat@redhat.com> - 0:0.3.733043-2
- Updated to revision 733043 of the Qpid M4-RCs branch
* Mon Nov 19 2008 Rajith Attapattu <rattapat@redhat.com> - 0:0.3.724504-1
- Updated to revision 724504 of the qpid trunk
- Added the Qman package
- Applied the thread abstraction patch
* Mon Nov 10 2008 Rajith Attapattu <rattapat@redhat.com> - 0:0.3.712662-1
- Updated to revision 712662 of the qpid trunk
* Fri Oct 31 2008 Nuno Santos <nsantos@redhat.com> - 0:0.3.709187-1
- Rebased to svn rev 709187
* Mon Oct 28 2008 Rajith Attapattu <rattapat@redhat.com> - 0:0.3.708221-1
- Updated to revision 708221 of the qpid trunk
* Fri Aug 25 2008 Justin Ross <jross@redhat.com> - 0:0.2.687156-1
- Updated to revision 687156 of the qpid.0-10 branch
* Fri Aug 15 2008 Justin Ross <jross@redhat.com> - 0:0.2.686136-1
- Updated to revision 686136 of the qpid.0-10 branch
* Mon Jun 16 2008 Justin Ross <jross@redhat.com> - 0:0.2.668333-1
- Updated to source revision 668333
* Fri Jun 13 2008 Arnaud Simon <asimon@redhat.com> - 0:0.2.667615-1
- Updated to source revision 667615
* Mon Jun 11 2008 Arnaud Simon <asimon@redhat.com> - 0:0.2.666296-2
- Updated common dep and removed package broker
* Mon Jun 10 2008 Justin Ross <jross@redhat.com> - 0:0.2.666296-1
- Updated to source revision 666296
* Mon Jun 9 2008 Arnaud Simon <asimon@redhat.com> - 0:0.2.665769-1
- Updated to source revision 665769
* Thu May 15 2008 Justin Ross <jross@redhat.com> - 0:0.2.656760-1
- Updated source tarballs instructions
- Added svn revision number to version
- Updated to source revision 656760
* Tue May 13 2008 Arnaud Simon <asimon@redhat.com> - 0:0.2-11
- changed version for solving version conflic
* Tue May 13 2008 Arnaud Simon <asimon@redhat.com> - 0:0.2-10
- changed some default network configuration
* Tue May 13 2008 Arnaud Simon <asimon@redhat.com> - 0:0.2-9
- Bumped release for Beta 4
* Fri Feb 15 2008 Rafael Schloming <rafaels@redhat.com> - 0:0.2-9
- fix for deadlock exposed by TCK
* Wed Feb 13 2008 Rafael Schloming <rafaels@redhat.com> - 0:0.2-8
- More bug fixes for Beta 3
* Tue Feb 12 2008 Rafael Schloming <rafaels@redhat.com> - 0:0.2-7
- Bumped release for Beta 3 bug fixes
* Mon Feb 11 2008 Rafael Schloming <rafaels@redhat.com> - 0:0.2-6
- Bumped release for Beta 3
* Mon Feb 11 2008 Nuno Santos <nsantos@redhat.com> - 0.2-5
- Initial build.

View file

@ -1,127 +0,0 @@
%define _build_arch %(uname -i)
%define _qpid_version 0.28
%define _qpid_build_loc %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
%global qpid_src_dir qpid-%{version}
#
# AWIPS II QPID native Spec File
#
Name: awips2-qpid-lib
Summary: AWIPS II QPID Native Library Distribution
Version: %{_qpid_version}
Release: 1.el6
Group: AWIPSII
BuildRoot: %{_build_root}
BuildArch: %{_build_arch}
URL: N/A
License: N/A
Distribution: N/A
Vendor: Raytheon
Packager: Bryan Kowal
Source0: %{qpid_src_dir}.tar.gz
AutoReq: no
BuildRequires: awips2-python
provides: awips2-qpid-lib
%description
AWIPS II QPID Lib Distribution - Contains the qpid shared libraries and
header files for qpid %{_qpid_version}.
%prep
# Ensure that a "buildroot" has been specified.
if [ "%{_build_root}" = "" ]; then
echo "ERROR: A BuildRoot has not been specified."
echo "FATAL: Unable to Continue ... Terminating."
exit 1
fi
if [ -d %{_build_root} ]; then
rm -rf %{_build_root}
fi
if [ -d %{_qpid_build_loc} ]; then
rm -rf %{_qpid_build_loc}
fi
mkdir -p %{_qpid_build_loc}
if [ $? -ne 0 ]; then
exit 1
fi
cp -v %SOURCE0 %{_qpid_build_loc}
if [ $? -ne 0 ]; then
exit 1
fi
pushd . > /dev/null 2>&1
cd %{_qpid_build_loc}
tar -xvf %SOURCE0
if [ $? -ne 0 ]; then
exit 1
fi
popd > /dev/null 2>&1
%build
pushd . > /dev/null 2>&1
mkdir -p %{_qpid_build_loc}/build
if [ $? -ne 0 ]; then
exit 1
fi
cd %{_qpid_build_loc}/build
cmake %{_qpid_build_loc}/%{qpid_src_dir}/cpp -DCMAKE_INSTALL_PREFIX:PATH=%{_qpid_build_loc}/awips2/qpid
if [ $? -ne 0 ]; then
exit 1
fi
make all
if [ $? -ne 0 ]; then
exit 1
fi
popd > /dev/null 2>&1
%install
/bin/mkdir -p %{_qpid_build_loc}/awips2/qpid
if [ $? -ne 0 ]; then
exit 1
fi
pushd . > /dev/null 2>&1
cd %{_qpid_build_loc}/build
make install
if [ $? -ne 0 ]; then
exit 1
fi
popd > /dev/null 2>&1
/bin/mkdir -p %{_build_root}/awips2/qpid
if [ $? -ne 0 ]; then
exit 1
fi
# copy qpid lib and include directories.
/bin/cp -rv %{_qpid_build_loc}/awips2/qpid/lib \
%{_build_root}/awips2/qpid
/bin/cp -rv %{_qpid_build_loc}/awips2/qpid/lib64/* \
%{_build_root}/awips2/qpid/lib
/bin/cp -rv %{_qpid_build_loc}/awips2/qpid/include \
%{_build_root}/awips2/qpid
%pre
%post
%preun
%postun
%clean
rm -rf ${RPM_BUILD_ROOT}
rm -rf %{_qpid_build_loc}
%files
%defattr(644,awips,fxalpha,755)
%dir /awips2/qpid
%dir /awips2/qpid/lib
/awips2/qpid/lib/*
%dir /awips2/qpid/include
/awips2/qpid/include/*

View file

@ -1,73 +0,0 @@
#!/bin/bash -x
# Verify that the workspace has been specified
if [ -z ${WORKSPACE} ]; then
echo "Error: the location of the baseline workspace must be specified using the WORKSPACE environment variable."
exit 1
fi
if [ -z ${AWIPSII_BUILD_ROOT} ]; then
export AWIPSII_BUILD_ROOT="/tmp/${USER}/awips-component"
echo "INFO: using default build root - ${AWIPSII_BUILD_ROOT}."
fi
__SPECS=qpid-java.spec
#__SPECS_PATCH0=qpid-java.spec.patch0
# apply the rpm specification patch
#cd ../SPECS
#if [ $? -ne 0 ]; then
# exit 1
#fi
#patch -p1 -i ${__SPECS_PATCH0}
#if [ $? -ne 0 ]; then
# exit 1
#fi
pushd . > /dev/null
cd ../
export TOPDIR=`pwd`
# create the rpm directory structure
if [ -d ${TOPDIR}/BUILD ]; then
rm -rf ${TOPDIR}/BUILD
if [ $? -ne 0 ]; then
exit 1
fi
fi
mkdir ${TOPDIR}/BUILD
if [ -d ${TOPDIR}/RPMS ]; then
rm -rf ${TOPDIR}/RPMS
if [ $? -ne 0 ]; then
exit 1
fi
fi
mkdir ${TOPDIR}/RPMS
if [ -d ${TOPDIR}/SRPMS ]; then
rm -rf ${TOPDIR}/SRPMS
if [ $? -ne 0 ]; then
exit 1
fi
fi
mkdir ${TOPDIR}/SRPMS
# build the rpm
rpmbuild -ba \
--define "_topdir ${TOPDIR}" \
--define "_baseline_workspace ${WORKSPACE}" \
SPECS/${__SPECS}
if [ $? -ne 0 ]; then
exit 1
fi
rpmbuild -ba \
--define "_topdir ${TOPDIR}" \
--define "_baseline_workspace ${WORKSPACE}" \
--define "_build_root ${AWIPSII_BUILD_ROOT}" \
--buildroot ${AWIPSII_BUILD_ROOT} \
SPECS/qpid-lib.spec
if [ $? -ne 0 ]; then
exit 1
fi
popd > /dev/null
exit 0

View file

@ -1,86 +0,0 @@
%define _awips2_directory "/awips2/qpid"
Name: awips2-qpid-java
Version: 0.30
Release: 1%{?dist}
Summary: Java implementation of Apache Qpid
License: Apache Software License
Group: Development/Java
URL: http://qpid.apache.org/
%global qpid_src_dir qpid-client-%{version}-bin
%global qpid_client_dir qpid-client
Source: %{qpid_src_dir}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
%description
Java implementation of Apache Qpid.
%package common
Summary: Java implementation of Apache Qpid - common files
Group: Development/Java
BuildArch: noarch
%description common
Java implementation of Apache Qpid - common files
%package client
Summary: Java implementation of Apache Qpid - client
Group: Development/Java
BuildArch: noarch
Requires: awips2-qpid-java-common = %{version}-%{release}
Requires: log4j >= 1.2.12
%description client
Java implementation of Apache Qpid - client
%prep
%setup -q -n %{qpid_client_dir}
%build
%install
rm -rf %{buildroot}
cd ..
install -dm 755 %{buildroot}%{_awips2_directory}/lib/opt
install -pm 644 %{qpid_client_dir}/%{version}/lib/qpid-client-%{version}.jar \
%{buildroot}%{_awips2_directory}/lib/opt
install -pm 644 %{qpid_client_dir}/%{version}/lib/qpid-common-%{version}.jar \
%{buildroot}%{_awips2_directory}/lib/opt
install -pm 644 %{qpid_client_dir}/%{version}/lib/geronimo-jms_1.1_spec-1.1.1.jar \
%{buildroot}%{_awips2_directory}/lib/opt
install -pm 644 %{qpid_client_dir}/%{version}/lib/slf4j-api-1.6.4.jar \
%{buildroot}%{_awips2_directory}/lib/opt
# license & notice
install -pm 644 %{qpid_client_dir}/%{version}/LICENSE \
%{buildroot}%{_awips2_directory}
install -pm 644 %{qpid_client_dir}/%{version}/NOTICE \
%{buildroot}%{_awips2_directory}
%clean
rm -rf %{buildroot}
%files common
%defattr(-,awips,fxalpha,-)
%dir /awips2/qpid
%dir /awips2/qpid/lib
%dir /awips2/qpid/lib/opt
/awips2/qpid/lib/opt/qpid-common-%{version}.jar
/awips2/qpid/lib/opt/geronimo-jms_1.1_spec-1.1.1.jar
/awips2/qpid/lib/opt/slf4j-api-1.6.4.jar
%doc /awips2/qpid/LICENSE
%doc /awips2/qpid/NOTICE
%files client
%defattr(-,awips,fxalpha,-)
%dir /awips2/qpid
%dir /awips2/qpid/lib
%dir /awips2/qpid/lib/opt
/awips2/qpid/lib/opt/qpid-client-%{version}.jar

View file

@ -1,127 +0,0 @@
%define _build_arch %(uname -i)
%define _qpid_version 0.30
%define _qpid_build_loc %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
%global qpid_src_dir qpid-cpp-%{version}
#
# AWIPS II QPID native Spec File
#
Name: awips2-qpid-lib
Summary: AWIPS II QPID Native Library Distribution
Version: %{_qpid_version}
Release: 0.30
Group: AWIPSII
BuildRoot: %{_build_root}
BuildArch: %{_build_arch}
URL: N/A
License: N/A
Distribution: N/A
Vendor: Raytheon
Packager: Bryan Kowal
Source0: %{qpid_src_dir}.tar.gz
AutoReq: no
BuildRequires: awips2-python
provides: awips2-qpid-lib
%description
AWIPS II QPID Lib Distribution - Contains the qpid shared libraries and
header files for qpid %{_qpid_version}.
%prep
# Ensure that a "buildroot" has been specified.
if [ "%{_build_root}" = "" ]; then
echo "ERROR: A BuildRoot has not been specified."
echo "FATAL: Unable to Continue ... Terminating."
exit 1
fi
if [ -d %{_build_root} ]; then
rm -rf %{_build_root}
fi
if [ -d %{_qpid_build_loc} ]; then
rm -rf %{_qpid_build_loc}
fi
mkdir -p %{_qpid_build_loc}
if [ $? -ne 0 ]; then
exit 1
fi
cp -v %SOURCE0 %{_qpid_build_loc}
if [ $? -ne 0 ]; then
exit 1
fi
pushd . > /dev/null 2>&1
cd %{_qpid_build_loc}
tar -xvf %SOURCE0
if [ $? -ne 0 ]; then
exit 1
fi
popd > /dev/null 2>&1
%build
pushd . > /dev/null 2>&1
mkdir -p %{_qpid_build_loc}/build
if [ $? -ne 0 ]; then
exit 1
fi
cd %{_qpid_build_loc}/build
cmake %{_qpid_build_loc}/%{qpid_src_dir} -DCMAKE_INSTALL_PREFIX:PATH=%{_qpid_build_loc}/awips2/qpid
if [ $? -ne 0 ]; then
exit 1
fi
make all
if [ $? -ne 0 ]; then
exit 1
fi
popd > /dev/null 2>&1
%install
/bin/mkdir -p %{_qpid_build_loc}/awips2/qpid
if [ $? -ne 0 ]; then
exit 1
fi
pushd . > /dev/null 2>&1
cd %{_qpid_build_loc}/build
make install
if [ $? -ne 0 ]; then
exit 1
fi
popd > /dev/null 2>&1
/bin/mkdir -p %{_build_root}/awips2/qpid
if [ $? -ne 0 ]; then
exit 1
fi
# copy qpid lib and include directories.
/bin/cp -rv %{_qpid_build_loc}/awips2/qpid/lib \
%{_build_root}/awips2/qpid
/bin/cp -rv %{_qpid_build_loc}/awips2/qpid/lib64/* \
%{_build_root}/awips2/qpid/lib
/bin/cp -rv %{_qpid_build_loc}/awips2/qpid/include \
%{_build_root}/awips2/qpid
%pre
%post
%preun
%postun
%clean
rm -rf ${RPM_BUILD_ROOT}
rm -rf %{_qpid_build_loc}
%files
%defattr(644,awips,fxalpha,755)
%dir /awips2/qpid
%dir /awips2/qpid/lib
/awips2/qpid/lib/*
%dir /awips2/qpid/include
/awips2/qpid/include/*

View file

@ -1,60 +0,0 @@
#!/bin/bash
# Verify that the workspace has been specified
if [ -z ${WORKSPACE} ]; then
echo "Error: the location of the baseline workspace must be specified using the WORKSPACE environment variable."
exit 1
fi
if [ -z ${AWIPSII_BUILD_ROOT} ]; then
export AWIPSII_BUILD_ROOT="/tmp/${USER}/awips-component"
echo "INFO: using default build root - ${AWIPSII_BUILD_ROOT}."
fi
pushd . > /dev/null
cd ../
export TOPDIR=`pwd`
# create the rpm directory structure
if [ -d ${TOPDIR}/BUILD ]; then
rm -rf ${TOPDIR}/BUILD
if [ $? -ne 0 ]; then
exit 1
fi
fi
mkdir ${TOPDIR}/BUILD
if [ -d ${TOPDIR}/RPMS ]; then
rm -rf ${TOPDIR}/RPMS
if [ $? -ne 0 ]; then
exit 1
fi
fi
mkdir ${TOPDIR}/RPMS
if [ -d ${TOPDIR}/SRPMS ]; then
rm -rf ${TOPDIR}/SRPMS
if [ $? -ne 0 ]; then
exit 1
fi
fi
mkdir ${TOPDIR}/SRPMS
# build the rpm
rpmbuild -ba \
--define "_topdir ${TOPDIR}" \
--define "_baseline_workspace ${WORKSPACE}" \
SPECS/qpid-java.spec
if [ $? -ne 0 ]; then
exit 1
fi
rpmbuild -ba \
--define "_topdir ${TOPDIR}" \
--define "_baseline_workspace ${WORKSPACE}" \
--define "_build_root ${AWIPSII_BUILD_ROOT}" \
--buildroot ${AWIPSII_BUILD_ROOT} \
SPECS/qpid-lib.spec
if [ $? -ne 0 ]; then
exit 1
fi
popd > /dev/null
exit 0

View file

@ -65,7 +65,7 @@ function buildQPID()
fi
fi
cd ${WORKSPACE}/rpms/awips2.qpid/0.30/deploy.builder
cd ${WORKSPACE}/installers/RPMs/qpid-lib-0.30
if [ $? -ne 0 ]; then
echo "ERROR: Failed to build the qpid rpms."
return 1
@ -77,27 +77,6 @@ function buildQPID()
return 1
fi
# Copy the 0.30 qpid rpms
cd ${WORKSPACE}/rpms/awips2.qpid/0.30/RPMS/noarch
if [ $? -ne 0 ]; then
echo "ERROR: Failed to build Qpid v0.30."
return 1
fi
/bin/cp -v *.rpm ${AWIPSII_TOP_DIR}/RPMS/noarch
if [ $? -ne 0 ]; then
return 1
fi
cd ${WORKSPACE}/rpms/awips2.qpid/0.30/RPMS/x86_64
if [ $? -ne 0 ]; then
echo "ERROR: Failed to build Qpid v0.30."
return 1
fi
/bin/cp -v *.rpm ${AWIPSII_TOP_DIR}/RPMS/x86_64
if [ $? -ne 0 ]; then
return 1
fi
#build 0.30
export AWIPS_II_TOP_DIR
cd ${WORKSPACE}/installers/RPMs/qpid-java-broker-0.30